<?php
/*
Plugin Name: LeadGate Pro 
Description: The plugin easily allows you to lock content and ask user to subscribe.
Version: 2.62
*/
define('SUBSCRIBEUNLOCK_RECORDS_PER_PAGE', '40');
define('SUBSCRIBEUNLOCK_VERSION', 2.62);
define('SUBSCRIBEUNLOCK_COOKIE', 'ilovelencha');
define('SUBSCRIBEUNLOCK_AWEBER_APPID', '0085f490');

register_activation_hook(__FILE__, array("leadGatePro_class", "install"));

class leadGatePro_class {
	var $options;
	
	function __construct() {
		if (function_exists('load_plugin_textdomain')) {
			load_plugin_textdomain('leadGatePro', false, dirname(plugin_basename(__FILE__)).'/languages/');
		}
		$this->options = array (
			"version" => SUBSCRIBEUNLOCK_VERSION,
			"soft_mode" => "off",
			"intro" => __('Complete your name and email to read content.', 'leadGatePro'),
			"template" => __('template1', 'leadGatePro'),
			"button_label" => __('Unlock Content', 'leadGatePro'),
			"placeholder_email" => __('Enter your e-mail...', 'leadGatePro'),
			"placeholder_name" => __('Enter your name...', 'leadGatePro'),
			'box_color' => '#F8F8F8',
			'box_border_color' => '#CCCCCC',
			'box_font_color' => '#333333',
			'box_font_size' => 13,
			'button_color' => '#0147A3',
			'button_font_color' => '#FFFFFF',
			'button_font_size' => 14,
			'input_font_color' => '#333333',
			'input_font_size' => 13,
			'input_border_color' => '#444444',
			'input_background_color' => '#FFFFFF',
			'input_background_opacity' => 0.7,
			"from_name" => get_bloginfo("name"),
			"from_email" => "noreply@".str_replace("www.", "", $_SERVER["SERVER_NAME"]),
			"thanks_message" => __('Thank you. You are redirecting...', 'leadGatePro'),
			"Welcome_enable" => "off",
			"Welcome_email_subject" => __('Thank you for subscribing', 'leadGatePro'),
			"Welcome_email_body" => __('Hello {name},', 'leadGatePro').PHP_EOL.PHP_EOL.__('Thank you so much for subscription.', 'leadGatePro').PHP_EOL.PHP_EOL.__('Regards,', 'leadGatePro').PHP_EOL.get_bloginfo("name"),
			"csv_separator" => ";",
			'email_validation' => "off",
			"disable_name" => "off",
			"mailchimp_enable" => "off",
			"mailchimp_api_key" => "",
			"mailchimp_list_id" => "",
			"mailchimp_double" => "off",
			"mailchimp_welcome" => "off",
			"icontact_enable" => "off",
			"icontact_appid" => "",
			"icontact_apiusername" => "",
			"icontact_apipassword" => "",
			'icontact_listid' => "",
			'campaignmonitor_enable' => "off",
			'campaignmonitor_api_key' => '',
			'campaignmonitor_list_id' => '',
			'getresponse_enable' => "off",
			'getresponse_api_key' => '',
			'getresponse_campaign_id' => '',
			'aweber_enable' => "off",
			'aweber_consumer_key' => "AkO1a8LQJlpRKBvlmL0pQaqb",
			'aweber_consumer_secret' => "NlR9XMnKzMLTaAn64FNWMY3FtgRcZ6fjRuZ0OB8T",
			'aweber_access_key' => "",
			'aweber_access_secret' => "",
			'aweber_listid' => "",
			'madmimi_enable' => 'off',
			'madmimi_login' => '',
			'madmimi_api_key' => '',
			'madmimi_list_id' => '',
			'mymail_enable' => "off",
			'mymail_listid' => "",
			'mymail_double' => "off",
			'sendy_enable' => 'off',
			'sendy_url' => '',
			'sendy_listid' => '',
			'benchmark_enable' => 'off',
			'benchmark_api_key' => '',
			'benchmark_list_id' => '',
			'benchmark_double' => 'off',
			"ga_tracking" => "off",
			"terms" => ""
		);

		if (defined('WP_ALLOW_MULTISITE')) $this->install();
		$this->get_options();
		
		if (is_admin()) {
			if ($this->check_options() !== true) add_action('admin_notices', array(&$this, 'admin_warning'));
			add_action('admin_enqueue_scripts', array(&$this, 'admin_enqueue_scripts'));
			add_action('admin_menu', array(&$this, 'admin_menu'));
			add_action('init', array(&$this, 'admin_request_handler'));
			add_filter('mce_external_plugins', array(&$this, "mce_external_plugin"));
			add_filter('mce_buttons', array(&$this, "mce_button"), 0);
			add_action('wp_ajax_leadGatePro_submit', array(&$this, "leadGatePro_submit"));
			add_action('wp_ajax_nopriv_leadGatePro_submit', array(&$this, "leadGatePro_submit"));
			add_action('wp_ajax_leadGatePro_aweber_connect', array(&$this, "aweber_connect"));
			add_action('wp_ajax_leadGatePro_aweber_disconnect', array(&$this, "aweber_disconnect"));
		} else {
			add_action('wp', array(&$this, 'front_init'));
			add_shortcode('subscribelocker', array(&$this, "shortcode_handler"));
			add_shortcode('leadgatePro', array(&$this, "shortcode_handler"));
		}
	}

	function admin_enqueue_scripts() {
		wp_enqueue_script("jquery");
		wp_enqueue_style('leadGatePro', plugins_url('/css/admin.css', __FILE__), array(), SUBSCRIBEUNLOCK_VERSION);
		wp_enqueue_script('leadGatePro', plugins_url('/js/admin.js', __FILE__), array(), SUBSCRIBEUNLOCK_VERSION);



		wp_enqueue_script( 'jquery', '//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js', array('jquery'), '1.9.1', true); 
        wp_enqueue_script( 'tether-js', '//npmcdn.com/tether@1.2.4/dist/js/tether.min.js', array('jquery'), true); 
        wp_enqueue_script( 'bootstrap-js', '//netdna.bootstrapcdn.com/bootstrap/3.0.0/js/bootstrap.min.js', array('jquery'), true); 
        wp_enqueue_style( 'bootstrap', '//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css' );

	

		if (isset($_GET['page']) && $_GET['page'] == 'leadGatePro-settings') {
			wp_enqueue_style('wp-color-picker');
			wp_enqueue_script('wp-color-picker');
		}
	}

	function front_init() {
		add_action('wp_enqueue_scripts', array(&$this, 'front_enqueue_scripts'));
		add_action('wp_head', array(&$this, 'front_header'));
	}

	function front_enqueue_scripts() {
		wp_enqueue_script("jquery");
		wp_enqueue_script('leadGatePro', plugins_url('/js/script.js', __FILE__), array(), SUBSCRIBEUNLOCK_VERSION);
		wp_enqueue_style('leadGatePro', plugins_url('/css/style.css', __FILE__), array(), SUBSCRIBEUNLOCK_VERSION);
	}

	function install () {
		global $wpdb;
		$table_name = $wpdb->prefix."sp_users";
                $wpdb->query( "DELETE FROM {$wpdb->options} WHERE option_name LIKE 'leadGate_%'" );
                $wpdb->query( "DELETE FROM {$wpdb->options} WHERE option_name LIKE 'leadGatePro_%'" );
		if($wpdb->get_var("SHOW TABLES LIKE '".$table_name."'") != $table_name) {
			$sql = "CREATE TABLE " . $table_name . " (
				id int(11) NOT NULL auto_increment,
				name varchar(255) collate utf8_unicode_ci NOT NULL,
				email varchar(255) collate utf8_unicode_ci NOT NULL,
				registered int(11) NOT NULL,
				deleted int(11) NOT NULL default '0',
				UNIQUE KEY  id (id)
			);";
			require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
			dbDelta($sql);
		}
	}

	function get_options() {
		$exists = get_option('leadGatePro_version');
		if ($exists) {
			foreach ($this->options as $key => $value) {
				$this->options[$key] = get_option('leadGatePro_'.$key, $this->options[$key]);
			}
		}
	}

	function update_options() {
		//if (current_user_can('manage_options')) {
			foreach ($this->options as $key => $value) {
				update_option('leadGatePro_'.$key, $value);
			}
		//}
	}

	function populate_options() {
		foreach ($this->options as $key => $value) {
			if (isset($_POST['leadGatePro_'.$key])) {
				$this->options[$key] = stripslashes($_POST['leadGatePro_'.$key]);
			}
		}
	}

	function check_options() {
		$errors = array();
		if ($this->options['Welcome_enable'] == 'on') {
			if (!preg_match("/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$/i", $this->options['from_email']) || strlen($this->options['from_email']) == 0) $errors[] = __('Sender e-mail must be valid e-mail address', 'leadGatePro');
			if (strlen($this->options['from_name']) < 3) $errors[] = __('Sender name is too short', 'leadGatePro');
			if (strlen($this->options['Welcome_email_subject']) < 3) $errors[] = __('Welcome e-mail subject must contain at least 3 characters', 'leadGatePro');
			else if (strlen($this->options['Welcome_email_subject']) > 64) $errors[] = __('Welcome e-mail subject must contain maximum 64 characters', 'leadGatePro');
			if (strlen($this->options['Welcome_email_body']) < 3) $errors[] = __('Welcome e-mail body must contain at least 3 characters', 'leadGatePro');
		}
		if (strlen($this->options['thanks_message']) < 3) $errors[] = __('Redirecting message is too short', 'leadGatePro');
		if (strlen($this->options['placeholder_name']) < 3) $errors[] = __('"Name" field placeholder is too short', 'leadGatePro');
		if (strlen($this->options['placeholder_email']) < 3) $errors[] = __('"E-mail" field placeholder is too short', 'leadGatePro');
		if (strlen($this->options['button_label']) < 2) $errors[] = __('"Subscribe" button label is too short', 'leadGatePro');
		
		if (strlen($this->options['box_color']) > 0 && $this->get_rgb($this->options['box_color']) === false) $errors[] = __('Box background color must be a valid value.', 'leadGatePro');
		if (strlen($this->options['box_border_color']) > 0 && $this->get_rgb($this->options['box_border_color']) === false) $errors[] = __('Box border color must be a valid value.', 'leadGatePro');
		if (strlen($this->options['box_font_color']) > 0 && $this->get_rgb($this->options['box_font_color']) === false) $errors[] = __('Font color must be a valid value.', 'leadGatePro');
		if (strlen($this->options['input_border_color']) > 0 && $this->get_rgb($this->options['input_border_color']) === false) $errors[] = __('Input field border color must be a valid value.', 'leadGatePro');
		if (strlen($this->options['input_background_color']) > 0 && $this->get_rgb($this->options['input_background_color']) === false) $errors[] = __('Input field background color must be a valid value.', 'leadGatePro');
		if (floatval($this->options['input_background_opacity']) < 0 || floatval($this->options['input_background_opacity']) > 1) $errors[] = __('Input field background opacity must be in a range [0...1].', 'leadGatePro');
		if (strlen($this->options['input_font_color']) == 0 || $this->get_rgb($this->options['input_font_color']) === false) $errors[] = __('I font color must be a valid value.', 'leadGatePro');
		if (strlen($this->options['button_color']) == 0 || $this->get_rgb($this->options['button_color']) === false) $errors[] = __('Button color must be a valid value.', 'leadGatePro');
		if (strlen($this->options['button_font_color']) == 0 || $this->get_rgb($this->options['button_font_color']) === false) $errors[] = __('Button font color must be a valid value.', 'leadGatePro');
		if (strlen($this->options['box_font_size']) > 0 && $this->options['box_font_size'] != preg_replace('/[^0-9]/', '', $this->options['box_font_size']) && ($this->options['box_font_size'] > 72 || $this->options['box_font_size'] < 10)) $errors[] = __('Font size must be in a range [10...72].', 'leadGatePro');
		if (strlen($this->options['input_font_size']) > 0 && $this->options['input_font_size'] != preg_replace('/[^0-9]/', '', $this->options['input_font_size']) && ($this->options['input_font_size'] > 72 || $this->options['input_font_size'] < 10)) $errors[] = __('Input field font size must be in a range [10...72].', 'leadGatePro');
		if (strlen($this->options['button_font_size']) > 0 && $this->options['button_font_size'] != preg_replace('/[^0-9]/', '', $this->options['button_font_size']) && ($this->options['button_font_size'] > 72 || $this->options['button_font_size'] < 10)) $errors[] = __('Button font size must be in a range [10...72].', 'leadGatePro');
		
		if ($this->options['mailchimp_enable'] == 'on') {
			if (empty($this->options['mailchimp_api_key']) || strpos($this->options['mailchimp_api_key'], '-') === false) $errors[] = __('Invalid MailChimp API Key', 'leadGatePro');
			if (empty($this->options['mailchimp_list_id'])) $errors[] = __('Invalid MailChimp List ID', 'leadGatePro');
		}
		if ($this->options['icontact_enable'] == 'on') {
			if (empty($this->options['icontact_appid'])) $errors[] = __('Invalid iContact AppID', 'leadGatePro');
			if (empty($this->options['icontact_apiusername'])) $errors[] = __('Invalid iContact API Username', 'leadGatePro');
			if (empty($this->options['icontact_apipassword'])) $errors[] = __('Invalid iContact API Password', 'leadGatePro');
			if (empty($this->options['icontact_listid'])) $errors[] = __('Invalid iContact List ID', 'leadGatePro');
		}
		if ($this->options['campaignmonitor_enable'] == 'on') {
			if (empty($this->options['campaignmonitor_api_key'])) $errors[] = __('Invalid Campaign Monitor API Key', 'leadGatePro');
			if (empty($this->options['campaignmonitor_list_id'])) $errors[] = __('Invalid Campaign Monitor List ID', 'leadGatePro');
		}
		if ($this->options['getresponse_enable'] == 'on') {
			if (empty($this->options['getresponse_api_key'])) $errors[] = __('Invalid GetResponse API Key', 'leadGatePro');
			if (empty($this->options['getresponse_campaign_id'])) $errors[] = __('Invalid GetResponse Campaign ID', 'leadGatePro');
		}
		if ($this->options['aweber_enable'] == 'on') {
			if (empty($this->options['aweber_access_secret'])) $errors[] = __('Invalid AWeber Connection', 'leadGatePro');
			else if (empty($this->options['aweber_listid'])) $errors[] = __('Invalid AWeber List ID', 'leadGatePro');
		}
		if ($this->options['mymail_enable'] == 'on') {
			if (empty($this->options['mymail_listid'])) $errors[] = __('Invalid MyMail List ID', 'leadGatePro');
		}
		if ($this->options['madmimi_enable'] == 'on') {
			if (empty($this->options['madmimi_login'])) $errors[] = __('Invalid Mad Mimi login', 'leadGatePro');
			if (empty($this->options['madmimi_api_key'])) $errors[] = __('Invalid Mad Mimi API key', 'leadGatePro');
			if (empty($this->options['madmimi_list_id'])) $errors[] = __('Invalid Mad Mimi list ID', 'leadGatePro');
		}
		if ($this->options['sendy_enable'] == 'on') {
			if (strlen($this->options['sendy_url']) == 0 || !preg_match('|^http(s)?://[a-z0-9-]+(.[a-z0-9-]+)*(:[0-9]+)?(/.*)?$|i', $this->options['sendy_url'])) $errors[] = __('Sendy installation URL must be a valid URL.', 'leadGatePro');
			if (empty($this->options['sendy_listid'])) $errors[] = __('Invalid Sendy list ID', 'leadGatePro');
		}
		if ($this->options['benchmark_enable'] == 'on') {
			if (empty($this->options['benchmark_api_key'])) $errors[] = __('Invalid Benchmark Email API key', 'leadGatePro');
			if (empty($this->options['benchmark_list_id'])) $errors[] = __('Invalid Benchmark Email list ID', 'leadGatePro');
		}
		if (empty($errors)) return true;
		return $errors;
	}

	function admin_menu() {
		add_menu_page(
			__('LeadGate Pro', 'leadGatePro')
			, __('LeadGate Pro', 'leadGatePro')
			, 'manage_options'
			, 'leadGatePro'
			, array(&$this, 'admin_dashboard')
		);
		add_submenu_page(
			'leadGatePro'
			, __('Settings', 'leadGatePro')
			, __('Settings', 'leadGatePro')
			, 'manage_options'
			, 'leadGatePro-settings'
			, array(&$this, 'admin_settings')
		);
		add_submenu_page(
			'leadGatePro'
			, __('Subscribers', 'leadGatePro')
			, __('Subscribers', 'leadGatePro')
			, 'manage_options'
			, 'leadGatePro-users'
			, array(&$this, 'admin_users')
		);
	}

	function admin_settings() { ?>
                <link href="https://fonts.googleapis.com/css?family=Titillium+Web" rel="stylesheet">
                <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
                <style> #wpbody{ background: #eaf6ff; } #wpcontent{ padding-left: 0px; }
                        .admin_leadGatePro_wrap{ font-family: 'Titillium Web', sans-serif; padding-left: 20px; }
                        .admin_leadGatePro_wrap h2{ text-align: center; color:#1e68a8; }
                        .admin_leadGatePro_wrap .panel-title a{ padding: 2px 15px;
                                        background: #96caf7;
                                        border-radius: 20px; }
                        .welcomeMsgInputs{ display: none; }
                </style>    
                <script>
                jQuery(function(){
                    jQuery('#leadGatePro_Welcome_enable').click(function(){
                        if(jQuery(this).is(':checked')){ jQuery('.welcomeMsgInputs').fadeIn(200); }
                        else{ jQuery('.welcomeMsgInputs').fadeOut(200); }
                    });
                });
                </script>
        <?php
		global $wpdb;
		$message = "";
		$errors = $this->check_options();
		if (is_array($errors)) echo "<div class='error'><p>".__('The following error(s) exists:', 'leadGatePro')."<br />- ".implode("<br />- ", $errors)."</p></div>";
		if (isset($_GET["updated"]) && $_GET["updated"] == "true") {
			$message = '<div class="updated"><p>'.__('Plugin settings successfully <strong>updated</strong>', 'leadGatePro').'</p></div>';
		}
		echo '
		<div class="wrap admin_leadGatePro_wrap leadGateProNav">
                
                    <nav class="navbar navbar-default">
                      <div class="container-fluid">
                        <div class="navbar-header">
                            <img class="img-responsive" src="'.plugins_url('/images/leadGatePro.png', __FILE__).'" style="max-height: 55px;" onclick="location.href=\''.admin_url('admin.php?page=').'leadGatePro\'">
                        </div>
                        <div class="collapse navbar-collapse" id="leadGtNavbar">
                          
                          <ul class="nav navbar-nav navbar-right leadGtNavs">
                                <li><a href="'.admin_url('admin.php?page=').'leadGatePro-users'.'"><span class="fa fa-user"></span> Subscribers</a></li>
                                <li><a href="#"><span class="fa fa-university"></span> Tutorials</a></li>
                                <li><a href="#"><span class="fa fa-support"></span> Support</a></li>
                          </ul>
                        </div>
                      </div>
                    </nav>


			<h2>'.__('LeadGate Pro - Settings', 'leadGatePro').'</h2> 
			'.$message.'
			<form enctype="multipart/form-data" method="post" style="margin: 0px" action="'.admin_url('admin.php').'">
				<input type="hidden" name="page" value="leadGatePro-settings" />
			<div class="postbox-container" style="width: 100%;">
				<div class="metabox-holder">
					<div class="meta-box-sortables ui-sortable">





<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">


		  <div class="panel panel-primary">
			    <div class="panel-heading" role="tab" id="headingOne">
			      <h4 class="panel-title">
			        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
			          General Settings
			        </a>
			      </h4>
			    </div>

			    <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
			      <div class="panel-body">

			      <!-- 1 div start -->
						<div class="postbox leadGatePro_postbox">
							<!--<div class="handlediv" title="Click to toggle"><br></div>-->
							
							<div class="inside">
								<table class="leadGatePro_useroptions">
									<tr>
										<th>'.__('Enable Welcome message', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_Welcome_enable" name="leadGatePro_Welcome_enable" '.($this->options['Welcome_enable'] == "on" ? 'checked="checked"' : '').'"> '.__('Send Welcome message', 'leadGatePro').'
											<br /><em>'.__('Please tick checkbox if you want to send Welcome message.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr class="welcomeMsgInputs">
										<th>'.__('Welcome email subject', 'leadGatePro').':</th>
										<td><input type="text" id="leadGatePro_Welcome_email_subject" name="leadGatePro_Welcome_email_subject" value="'.htmlspecialchars($this->options['Welcome_email_subject'], ENT_QUOTES).'" class="widefat"><br /><em>'.__('In case of successful subscription, your visitors receive e-mail message which contains Welcome message. This is subject field of the message.', 'leadGatePro').'</em></td>
									</tr>
									<tr class="welcomeMsgInputs">
										<th>'.__('Welcome email body', 'leadGatePro').':</th>
										<td><textarea id="leadGatePro_Welcome_email_body" name="leadGatePro_Welcome_email_body" class="widefat" style="height: 120px;">'.htmlspecialchars($this->options['Welcome_email_body'], ENT_QUOTES).'</textarea><br /><em>'.__('This e-mail message is sent to your visitor in case of successful subscription. You can use the following keywords: {name}, {e-mail}.', 'leadGatePro').'</em></td>
									</tr>
									<tr>
										<th>'.__('Search lock Mode', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_soft_mode" name="leadGatePro_soft_mode" '.($this->options['soft_mode'] == "on" ? 'checked="checked"' : '').'"> '.__('Enable Search lock Mode locker', 'leadGatePro').'
											<br /><em>'.__('Search lock Mode makes locked content available for search engines (content is locked by JavaScript).', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Sender name', 'leadGatePro').':</th>
										<td><input type="text" id="leadGatePro_from_name" name="leadGatePro_from_name" value="'.htmlspecialchars($this->options['from_name'], ENT_QUOTES).'" class="widefat"><br /><em>'.__('Please enter sender name. All messages to buyers are sent using this name as "FROM:" header value.', 'leadGatePro').'</em></td>
									</tr>
									<tr>
										<th>'.__('Sender email address', 'leadGatePro').':</th>
										<td><input type="text" id="leadGatePro_from_email" name="leadGatePro_from_email" value="'.htmlspecialchars($this->options['from_email'], ENT_QUOTES).'" class="widefat"><br /><em>'.__('Please enter sender e-mail. All messages to buyers are sent using this e-mail as "FROM:" header value.', 'leadGatePro').'</em></td>
									</tr>
									<tr>
										<th>'.__('Google Analytics tracking', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_ga_tracking" name="leadGatePro_ga_tracking" '.($this->options['ga_tracking'] == "on" ? 'checked="checked"' : '').'"> '.__('Enable Google Analytics tracking', 'leadGatePro').'
											<br /><em>'.__('Send subscribtion event to Google Analytics. Google Analytics must be installed on your website.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('CSV column separator', 'leadGatePro').':</th>
										<td>
											<select id="leadGatePro-csv_separator" name="leadGatePro_csv_separator">
												<option value=";"'.($this->options['csv_separator'] == ';' ? ' selected="selected"' : '').'>'.__('Semicolon - ";"', 'leadGatePro').'</option>
												<option value=","'.($this->options['csv_separator'] == ',' ? ' selected="selected"' : '').'>'.__('Comma - ","', 'leadGatePro').'</option>
												<option value="tab"'.($this->options['csv_separator'] == 'tab' ? ' selected="selected"' : '').'>'.__('Tab', 'leadGatePro').'</option>
											</select>
											<br /><em>'.__('Please select CSV column separator.', 'leadGatePro').'</em></td>
									</tr>
								</table>
								<div class="alignright">
								<input type="hidden" name="action" value="leadGatePro_update_options" />
								<input type="hidden" name="leadGatePro_version" value="'.SUBSCRIBEUNLOCK_VERSION.'" />
								<input type="submit" class="leadGatePro_button btn btn-info" name="submit" value="'.__('Update Settings', 'leadGatePro').'">
								</div>
							</div>
						</div> <!-- 1 div end -->

			      </div>
			    </div>

		  </div>


<div class="panel panel-primary">
			    <div class="panel-heading" role="tab" id="headingFive">
			      <h4 class="panel-title">
			        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseFive" aria-expanded="false" aria-controls="collapseFive" class="collapsed">
			          Locker Settings
			        </a>
			      </h4>
			    </div>

			    <div id="collapseFive" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingFive">
			      <div class="panel-body">

			      <!-- 1 div start -->
						<div class="postbox leadGatePro_postbox">
							<!--<div class="handlediv" title="Click to toggle"><br></div>-->
							
							<div class="inside">
								<table class="leadGatePro_useroptions">
									<tr>
										<th>'.__('Intro:', 'leadGatePro').'</th>
										<td>';
		if (function_exists('wp_editor')) {
			wp_editor($this->options['intro'], "leadGatePro_intro", array('wpautop' => false));
		} else {
			echo '
											<textarea class="widefat" id="leadGatePro_intro" name="leadGatePro_intro" style="height: 120px;">'.htmlspecialchars($this->options['intro'], ENT_QUOTES).'</textarea><br />';
		}
		echo '									
											<em>'.__('Please enter content of opt-in box. HTML allowed. Opt-in form is inserted below this content. You can overload this content for each shortcode by inserting "title" attribute like: [sdfile url="http://url-goes-here" title="Content goes here"]', 'leadGatePro').'</em>
										</td>
									</tr> 
									<tr>
										<th>'.__('Locked content form template', 'leadGatePro').':</th>
										<td>
											<input type="hidden" id="leadGatePro_template" name="leadGatePro_template" value="'.htmlspecialchars($this->options['template'], ENT_QUOTES).'"/>
											<table>
											<tr>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked1.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template1"?'border:1px solid red':'').'" data-id="template1"/></td>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked2.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template2"?'border:1px solid red':'').'" data-id="template2"/></td>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked3.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template3"?'border:1px solid red':'').'" data-id="template3"/></td>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked4.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template4"?'border:1px solid red':'').'" data-id="template4"/></td>
                                                                                        </tr>
											<tr>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked5.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template5"?'border:1px solid red':'').'" data-id="template5"/></td>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked6.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template6"?'border:1px solid red':'').'" data-id="template6"/></td>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked7.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template7"?'border:1px solid red':'').'" data-id="template7"/></td>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked8.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template8"?'border:1px solid red':'').'" data-id="template8"/></td>
                                                                                        </tr>
											<tr>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked9.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template9"?'border:1px solid red':'').'" data-id="template9"/></td>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked10.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template10"?'border:1px solid red':'').'" data-id="template10"/></td>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked11.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template11"?'border:1px solid red':'').'" data-id="template11"/></td>
                                                                                            <td class="tmpl_selector" style="text-align: center;"><img src="'.plugins_url('/images/locked12.JPG', __FILE__).'" style="max-height: 140px; '.(htmlspecialchars($this->options['template'], ENT_QUOTES)=="template12"?'border:1px solid red':'').'" data-id="template12"/></td>
                                                                                        </tr>
											</table>
										</td>
									</tr>
									<tr>
										<th>'.__('"Name" field placeholder', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_placeholder_name" name="leadGatePro_placeholder_name" value="'.htmlspecialchars($this->options['placeholder_name'], ENT_QUOTES).'" class="widefat">
											<br /><em>'.__('Enter the placeholder for "Name" input field.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Disable "name" field', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_disable_name" name="leadGatePro_disable_name" '.($this->options['disable_name'] == "on" ? 'checked="checked"' : '').'"> '.__('Disable "Name" field in opt-in form', 'leadGatePro').'
											<br /><em>'.__('Please tick checkbox if you want to disable "Name" field in opt-in form.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('"Email" field placeholder', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_placeholder_email" name="leadGatePro_placeholder_email" value="'.htmlspecialchars($this->options['placeholder_email'], ENT_QUOTES).'" class="widefat">
											<br /><em>'.__('Enter the placeholder for "E-mail" input field.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Extended email validation', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_email_validation" name="leadGatePro_email_validation" '.($this->options['email_validation'] == "on" ? 'checked="checked"' : '').'"> '.__('Enable extended e-mail address validation', 'leadGatePro').'
											<br /><em>'.__('If you turn this option on, the plugin will check MX records according to the host provided within the email address. PHP 5 >= 5.3 required!', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('"Subscribe" button label', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_button_label" name="leadGatePro_button_label" value="'.htmlspecialchars($this->options['button_label'], ENT_QUOTES).'" class="widefat">
											<br /><em>'.__('Enter the label for "Subscribe" button.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Terms & Conditions content', 'leadGatePro').':</th>
										<td><textarea id="leadGatePro_terms" name="leadGatePro_terms" class="widefat" style="height: 120px;">'.htmlspecialchars($this->options['terms'], ENT_QUOTES).'</textarea><br /><em>'.__('Your customers must be agree with Terms & Conditions before donating. Leave this field blank if you do not need Terms & Conditions box to be shown.', 'leadGatePro').'</em></td>
									</tr>
									<tr>
										<th>'.__('Redirecting message content', 'leadGatePro').':</th>
										<td><input type="text" id="leadGatePro_thanks_message" name="leadGatePro_thanks_message" value="'.htmlspecialchars($this->options['thanks_message'], ENT_QUOTES).'" class="widefat"><br /><em>'.__('This message appears in case of successful subscription (regular locker mode only).', 'leadGatePro').'</em></td>
									</tr>
								</table>
								<div class="alignright">
								<input type="hidden" name="action" value="leadGatePro_update_options" />
								<input type="hidden" name="leadGatePro_version" value="'.SUBSCRIBEUNLOCK_VERSION.'" />
								<input type="submit" class="leadGatePro_button btn btn-info" name="submit" value="'.__('Update Settings', 'leadGatePro').'">
								</div>
							</div>
						</div> <!-- 1 div end -->

			      </div>
			    </div>

		  </div>




		   <div class="panel panel-primary">
			    <div class="panel-heading" role="tab" id="headingsecond">
			      <h4 class="panel-title">
			        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapsesecond" aria-expanded="false" aria-controls="collapsesecond" class="collapsed">
			          Design Settings
			        </a>
			      </h4>
			    </div>

			    <div id="collapsesecond" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingsecond">
			      <div class="panel-body">

			      <!-- 2 div start -->
						<div class="postbox leadGatePro_postbox">
							
							<div class="inside">
								<table class="leadGatePro_useroptions">
									<tr>
										<th>'.__('Font color', 'leadGatePro').':</th>
										<td>
											<input type="text" class="leadGatePro-color ic_input_number" name="leadGatePro_box_font_color" value="'.esc_attr($this->options['box_font_color']).'" placeholder="">
											<br /><em>'.__('Set font color. Leave empty for default font color.', 'leadGatePro').'</em>
										</td>
										<th>'.__('Font size', 'leadGatePro').':</th>
										<td style="vertical-align: middle;">
											<input type="text" class="ic_input_number" name="leadGatePro_box_font_size" value="'.esc_attr($this->options['box_font_size']).'" placeholder="pixels"> '.__('pixels', 'leadGatePro').'
											<br /><em>'.__('Set font size (pixels).', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Input field border color', 'leadGatePro').':</th>
										<td>
											<input type="text" class="leadGatePro-color ic_input_number" name="leadGatePro_input_border_color" value="'.esc_attr($this->options['input_border_color']).'" placeholder="">
											<br /><em>'.__('Set border color of "Name" and "E-mail" input fields.', 'leadGatePro').'</em>
										</td>
										<th>'.__('Input field background color', 'leadGatePro').':</th>
										<td>
											<input type="text" class="leadGatePro-color ic_input_number" name="leadGatePro_input_background_color" value="'.esc_attr($this->options['input_background_color']).'" placeholder="">
											<br /><em>'.__('Set background color of "Name" and "E-mail" input fields.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Input field background opacity', 'leadGatePro').':</th>
										<td>
											<input type="text" class="ic_input_number" name="leadGatePro_input_background_opacity" value="'.esc_attr($this->options['input_background_opacity']).'" placeholder="[0...1]">
											<br /><em>'.__('Set background opacity of "Name" and "E-mail" input fields. The value must be in a range [0...1].', 'leadGatePro').'</em>
										</td>
										<th>'.__('Input field font color', 'leadGatePro').':</th>
										<td>
											<input type="text" class="leadGatePro-color ic_input_number" name="leadGatePro_input_font_color" value="'.esc_attr($this->options['input_font_color']).'" placeholder="">
											<br /><em>'.__('Set font color of "Name" and "E-mail" input fields.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Input field font size', 'leadGatePro').':</th>
										<td style="vertical-align: middle;">
											<input type="text" class="ic_input_number" name="leadGatePro_input_font_size" value="'.esc_attr($this->options['input_font_size']).'" placeholder="pixels"> '.__('pixels', 'leadGatePro').'
											<br /><em>'.__('Set font size (pixels) of "Name" and "E-mail" input fields.', 'leadGatePro').'</em>
										</td>
									</tr>
								</table>
								<div class="alignright">
								<input type="submit" class="leadGatePro_button  btn btn-info" name="submit" value="'.__('Update Settings', 'leadGatePro').'">
								</div>
							</div>
						</div>	<!-- 2 div end  -->


			      </div>
			    </div>

		  </div>





		   <div class="panel panel-primary">
			    <div class="panel-heading" role="tab" id="headingthird">
			      <h4 class="panel-title">
			        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapsethird" aria-expanded="false" aria-controls="collapsethird" class="collapsed">
			         Auto-responder Settings
			        </a>
			      </h4>
			    </div>

			    <div id="collapsethird" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingthird">
			      <div class="panel-body">

			      <!-- 5 div start -->


		   <div class="panel panel-primary">
			    <div class="panel-heading" role="tab" id="heading10">
			      <h4 class="panel-title">
			        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse10" aria-expanded="false" aria-controls="collapse10" class="collapsed">
			         AWeber Settings
			        </a>
			      </h4>
			    </div>

			    <div id="collapse10" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="heading10">
			      <div class="panel-body">

			      	<!-- 10 div start -->
						<div class="postbox leadGatePro_postbox">
							
							<div class="inside">
								<table class="leadGatePro_useroptions">
									<tr>
										<th>'.__('Enable AWeber', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_aweber_enable" name="leadGatePro_aweber_enable" '.($this->options['aweber_enable'] == "on" ? 'checked="checked"' : '').'"> '.__('Submit contact details to AWeber', 'leadGatePro').'
											<br /><em>'.__('Please tick checkbox if you want to submit contact details to AWeber.', 'leadGatePro').'</em>
										</td>
									</tr>';
		$account = null;
		if ($this->options['aweber_access_secret']) {
			if (!class_exists('AWeberAPI')) {
				require_once(dirname(__FILE__).'/aweber_api/aweber_api.php');
				require_once(dirname(__FILE__).'/aweber_api/noerror.php');
			}
			try {
				$aweber = new AWeberAPI($this->options['aweber_consumer_key'], $this->options['aweber_consumer_secret']);
				$account = $aweber->getAccount($this->options['aweber_access_key'], $this->options['aweber_access_secret']);
			} catch (AWeberException $e) {
				$account = null;
			}
		}
		if (!$account) {
			echo '
									<tbody id="leadGatePro-aweber-group">
										<tr>
											<th>'.__('Authorization code', 'leadGatePro').':</th>
											<td>
												<input type="text" id="leadGatePro_aweber_oauth_id" value="" class="widefat leadGatePro-input" placeholder="AWeber authorization code">
												<br />Get your authorization code <a target="_blank" href="https://auth.aweber.com/1.0/oauth/authorize_app/'.SUBSCRIBEUNLOCK_AWEBER_APPID.'">'.__('here', 'leadGatePro').'</a>.
											</td>
										</tr>
										<tr>
											<th></th>
											<td style="vertical-align: middle;">
												<input type="button" class="leadGatePro_button button-secondary" value="'.__('Make Connection', 'leadGatePro').'" onclick="return leadGatePro_aweber_connect();" >
												<img id="leadGatePro-aweber-loading" src="'.plugins_url('/images/loading.gif', __FILE__).'">
											</td>
										</tr>
									</tbody>';
		} else {
			echo '
									<tbody id="leadGatePro-aweber-group">
										<tr>
											<th>'.__('Connected', 'leadGatePro').':</th>
											<td>
												<input type="button" class="leadGatePro_button button-secondary" value="'.__('Disconnect', 'leadGatePro').'" onclick="return leadGatePro_aweber_disconnect();" >
												<img id="leadGatePro-aweber-loading" src="'.plugins_url('/images/loading.gif', __FILE__).'">
												<br /><em>'.__('Click the button to disconnect.', 'leadGatePro').'</em>
											</td>
										</tr>
										<tr>
											<th>'.__('List ID', 'leadGatePro').':</th>
											<td>
												<select name="leadGatePro_aweber_listid" style="width: 40%;">
													<option value="">'.__('--- Select List ID ---', 'leadGatePro').'</option>';
				$lists = $account->lists;
				foreach ($lists as $list) {
					echo '
													<option value="'.$list->id.'"'.($list->id == $this->options['aweber_listid'] ? ' selected="selected"' : '').'>'.$list->name.'</option>';
				}
				echo '
												</select>
												<br /><em>'.__('Select your List ID.', 'leadGatePro').'</em>
											</td>
										</tr>
									</tbody>';
		}
		echo '
								</table>
								<div id="leadGatePro-aweber-message"></div>
								<div class="alignright">
								<input type="submit" class="leadGatePro_button  btn btn-info" name="submit" value="'.__('Update Settings', 'leadGatePro').'">
								</div>
							</div>
						</div>'; 	//<!-- 10 div end -->

						//	<!-- 11 div start -->
						
		if (function_exists('mymail_subscribe') || function_exists('mymail')) {
			echo '
						<div class="postbox leadGatePro_postbox">
							<h3 class="hndle" style="cursor: default;"><span>'.__('MyMail Settings', 'leadGatePro').'</span></h3>
							<div class="inside">
								<table class="leadGatePro_useroptions">';
			if (function_exists('mymail')) {
				$lists = mymail('lists')->get();
				$create_list_url = 'edit.php?post_type=newsletter&page=mymail_lists';
			} else {
				$lists = get_terms('newsletter_lists', array('hide_empty' => false));
				$create_list_url = 'edit-tags.php?taxonomy=newsletter_lists&post_type=newsletter';
			}
			if (sizeof($lists) == 0) {
				echo '
									<tr>
										<th>'.__('Enable MyMail', 'leadGatePro').':</th>
										<td>'.__('Please', 'leadGatePro').' <a href="'.$create_list_url.'">'.__('create', 'leadGatePro').'</a> '.__('at least one list.', 'leadGatePro').'</td>
									</tr>';
			} else {
				echo '
									<tr>
										<th>'.__('Enable MyMail', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_mymail_enable" name="leadGatePro_mymail_enable" '.($this->options['mymail_enable'] == "on" ? 'checked="checked"' : '').'"> '.__('Submit contact details to MyMail', 'leadGatePro').'
											<br /><em>'.__('Please tick checkbox if you want to submit contact details to MyMail.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('List ID', 'leadGatePro').':</th>
										<td>
											<select name="leadGatePro_mymail_listid" class="ic_input_m">';
				foreach ($lists as $list) {
					if (function_exists('mymail')) $id = $list->ID;
					else $id = $list->term_id;
					echo '
												<option value="'.$id.'"'.($id == $this->options['mymail_listid'] ? ' selected="selected"' : '').'>'.$list->name.'</option>';
				}
				echo '
											</select>
											<br /><em>'.__('Select your List ID.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Double Opt-In', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_mymail_double" name="leadGatePro_mymail_double" '.($this->options['mymail_double'] == "on" ? 'checked="checked"' : '').'"> '.__('Enable Double Opt-In', 'leadGatePro').'
											<br /><em>'.__('Please tick checkbox if you want to enable double opt-in feature.', 'leadGatePro').'</em>
										</td>
									</tr>';
			}
			echo '
								</table>
								<div class="alignright">
								<input type="submit" class="leadGatePro_button  btn btn-info" name="submit" value="'.__('Update Settings', 'leadGatePro').'">
								</div>
							</div>
						</div>';
		
		}                     
		echo '
			      </div>
			    </div>

		  </div>

						

		   <div class="panel panel-primary">
			    <div class="panel-heading" role="tab" id="heading5">
			      <h4 class="panel-title">
			        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse5" aria-expanded="true" aria-controls="collapse5">
			         GetResponse Settings
			        </a>
			      </h4>
			    </div>

			    <div id="collapse5" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading5">
			      <div class="panel-body">

			      <!-- 5 div start -->

						<div class="postbox leadGatePro_postbox">
							
							<div class="inside">
								<table class="leadGatePro_useroptions">
									<tr>
										<th>'.__('Enable GetResponse', 'subscribeunlock').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_getresponse_enable" name="leadGatePro_getresponse_enable" '.($this->options['getresponse_enable'] == "on" ? 'checked="checked"' : '').'"> '.__('Submit contact details to GetResponse', 'subscribeunlock').'
											<br /><em>'.__('Please tick checkbox if you want to submit contact details to GetResponse.', 'subscribeunlock').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('API Key', 'subscribeunlock').':</th>
										<td>
											<input type="text" id="leadGatePro_getresponse_api_key" name="leadGatePro_getresponse_api_key" value="'.esc_attr($this->options['getresponse_api_key']).'" class="widefat subscribeunlock-input" onchange="leadGatePro_getresponse_handler();">
											<br /><em>'.__('Enter your GetResponse API Key. You can get your API Key <a href="https://app.getresponse.com/my_api_key.html" target="_blank">here</a>.', 'subscribeunlock').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Campaign ID', 'subscribeunlock').':</th>
										<td>
											<input type="text" id="leadGatePro_getresponse_campaign_id" name="leadGatePro_getresponse_campaign_id" value="'.esc_attr($this->options['getresponse_campaign_id']).'" class="widefat subscribeunlock-input">
											<br /><em>'.__('Enter your Campaign ID. You can get Campaign ID from', 'subscribeunlock').' <a href="'.admin_url('admin.php').'?action=subscribeunlock-getresponse-campaigns&key='.base64_encode($this->options['getresponse_api_key']).'" class="thickbox" id="leadGatePro_getresponse_campaigns" title="'.__('Available Campaigns', 'subscribeunlock').'">'.__('this table', 'subscribeunlock').'</a>.</em>
										</td>
									</tr>
								</table>
								<div class="alignright">
								<input type="submit" class="leadGatePro_button button-primary" name="submit" value="'.__('Update Settings', 'subscribeunlock').'">
								</div>
							</div>
						</div> 	<!-- 5 div end -->

											

			      </div>
			    </div>

		  </div>




		    <div class="panel panel-primary">
			    <div class="panel-heading" role="tab" id="heading3">
			      <h4 class="panel-title">
			        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse3" aria-expanded="false" aria-controls="collapse3" class="collapsed">
			         MailChimp Settings
			        </a>
			      </h4>
			    </div>

			    <div id="collapse3" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading3">
			      <div class="panel-body">

			      
												  <!-- 3 div start -->

						<div class="postbox leadGatePro_postbox">
							
							<div class="inside">
								<table class="leadGatePro_useroptions">
									<tr>
										<th>'.__('Enable MailChimp', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_mailchimp_enable" name="leadGatePro_mailchimp_enable" '.($this->options['mailchimp_enable'] == "on" ? 'checked="checked"' : '').'"> '.__('Submit contact details to MailChimp', 'leadGatePro').'
											<br /><em>'.__('Please tick checkbox if you want to submit contact details to MailChimp. <strong>CURL required!</strong>', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('MailChimp API Key', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_mailchimp_api_key" name="leadGatePro_mailchimp_api_key" value="'.htmlspecialchars($this->options['mailchimp_api_key'], ENT_QUOTES).'" class="widefat">
											<br /><em>'.__('Enter your MailChimp API Key. You can get it <a href="https://admin.mailchimp.com/account/api-key-popup" target="_blank">here</a>.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('List ID', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_mailchimp_list_id" name="leadGatePro_mailchimp_list_id" value="'.htmlspecialchars($this->options['mailchimp_list_id'], ENT_QUOTES).'" class="widefat">
											<br /><em>'.__('Enter your List ID. You can get it <a href="https://admin.mailchimp.com/lists/" target="_blank">here</a> (click <strong>Settings</strong>).', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Double opt-in', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_mailchimp_double" name="leadGatePro_mailchimp_double" '.($this->options['mailchimp_double'] == "on" ? 'checked="checked"' : '').'"> '.__('Ask users to confirm their subscription', 'leadGatePro').'
											<br /><em>'.__('Control whether a double opt-in confirmation message is sent.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Send Welcome', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_mailchimp_welcome" name="leadGatePro_mailchimp_welcome" '.($this->options['mailchimp_welcome'] == "on" ? 'checked="checked"' : '').'"> '.__('Send Lists Welcome message', 'leadGatePro').'
											<br /><em>'.__('If your <strong>Double opt-in</strong> is disabled and this is enabled, MailChimp will send your lists Welcome Email if this subscribe succeeds. If <strong>Double opt-in</strong> is enabled, this has no effect.', 'leadGatePro').'</em>
										</td>
									</tr>
								</table>
								<div class="alignright">
								<input type="submit" class="leadGatePro_button  btn btn-info" name="submit" value="'.__('Update Settings', 'leadGatePro').'">
								</div>
							</div>
						</div> 	<!-- 3 div end  -->

			      </div>
			    </div>

		  </div>



		   <div class="panel panel-primary">
			    <div class="panel-heading" role="tab" id="heading4">
			      <h4 class="panel-title">
			        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse4" aria-expanded="false" aria-controls="collapse4" class="collapsed">
			          iContact Settings
			        </a>
			      </h4>
			    </div>

			    <div id="collapse4" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading4">
			      <div class="panel-body">

			      <!-- 4 div start -->

						<div class="postbox leadGatePro_postbox">
							
							<div class="inside">
								<table class="leadGatePro_useroptions">
									<tr>
										<th>'.__('Enable iContact', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_icontact_enable" name="leadGatePro_icontact_enable" '.($this->options['icontact_enable'] == "on" ? 'checked="checked"' : '').'"> '.__('Submit contact details to iContact', 'leadGatePro').'
											<br /><em>'.__('Please tick checkbox if you want to submit contact details to iContact.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('AppID', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_icontact_appid" name="leadGatePro_icontact_appid" value="'.htmlspecialchars($this->options['icontact_appid'], ENT_QUOTES).'" class="widefat leadGatePro-input" onchange="leadGatePro_icontact_handler();">
											<br /><em>'.__('Obtained when you <a href="http://developer.icontact.com/documentation/register-your-app/" target="_blank">Register the API application</a>. This identifier is used to uniquely identify your application.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('API Username', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_icontact_apiusername" name="leadGatePro_icontact_apiusername" value="'.htmlspecialchars($this->options['icontact_apiusername'], ENT_QUOTES).'" class="widefat leadGatePro-input" onchange="leadGatePro_icontact_handler();">
											<br /><em>'.__('The iContact username for logging into your iContact account.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('API Password', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_icontact_apipassword" name="leadGatePro_icontact_apipassword" value="'.htmlspecialchars($this->options['icontact_apipassword'], ENT_QUOTES).'" class="widefat leadGatePro-input" onchange="leadGatePro_icontact_handler();">
											<br /><em>'.__('The API application password set when the application was registered. This API password is used as input when your application authenticates to the API. This password is not the same as the password you use to log in to iContact.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('List ID', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_icontact_listid" name="leadGatePro_icontact_listid" value="'.esc_attr($this->options['icontact_listid']).'" class="widefat leadGatePro-input">
											<br /><em>'.__('Enter your List ID. You can get List ID from', 'leadGatePro').' <a href="'.admin_url('admin.php').'?action=leadGatePro-icontact-lists&appid='.base64_encode($this->options['icontact_appid']).'&user='.base64_encode($this->options['icontact_apiusername']).'&pass='.base64_encode($this->options['icontact_apipassword']).'" class="thickbox" id="leadGatePro_icontact_lists" title="'.__('Available Lists', 'leadGatePro').'">'.__('this table', 'leadGatePro').'</a>.</em>
										</td>
									</tr>
								</table>
								<div class="alignright">
								<input type="submit" class="leadGatePro_button  btn btn-info" name="submit" value="'.__('Update Settings', 'leadGatePro').'">
								</div>
							</div>
						</div> 	<!-- 4 div end -->



			      </div>
			    </div>

		  </div>






		   <div class="panel panel-primary">
			    <div class="panel-heading" role="tab" id="heading8">
			      <h4 class="panel-title">
			        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse8" aria-expanded="false" aria-controls="collapse8" class="collapsed">
			         Sendy Settings
			        </a>
			      </h4>
			    </div>

			    <div id="collapse8" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading8">
			      <div class="panel-body">

			      <!-- 8 div start -->
						<div class="postbox leadGatePro_postbox">
							
							<div class="inside">
								<table class="leadGatePro_useroptions">
									<tr>
										<th>'.__('Enable Sendy', 'leadGatePro').':</th>
										<td>
											<input type="checkbox" id="leadGatePro_sendy_enable" name="leadGatePro_sendy_enable" '.($this->options['sendy_enable'] == "on" ? 'checked="checked"' : '').'"> '.__('Submit contact details to Sendy', 'leadGatePro').'
											<br /><em>'.__('Please tick checkbox if you want to submit contact details to Sendy.', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('Installation URL', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_sendy_url" name="leadGatePro_sendy_url" value="'.esc_attr($this->options['sendy_url']).'" class="widefat">
											<br /><em>'.__('Enter your Sendy installation URL (without the trailing slash).', 'leadGatePro').'</em>
										</td>
									</tr>
									<tr>
										<th>'.__('List ID', 'leadGatePro').':</th>
										<td>
											<input type="text" id="leadGatePro_sendy_listid" name="leadGatePro_sendy_listid" value="'.esc_attr($this->options['sendy_listid']).'" class="widefat">
											<br /><em>'.__('Enter your List ID. This encrypted & hashed id can be found under View all lists section named ID.', 'leadGatePro').'</em>
										</td>
									</tr>
								</table>
								<div class="alignright">
								<input type="submit" class="leadGatePro_button  btn btn-info" name="submit" value="'.__('Update Settings', 'leadGatePro').'">
								</div>
							</div>
						</div> 	<!-- 8 div end -->

			      </div>
			    </div>

		  </div>
                  <!-- 5 div end -->

											

			      </div>
			    </div>

		  </div>






 </div> 
					


						
													
									

											
											
					

												
					  

						
						
											
												
											
											
												
										

										

					

						
						


	
					</div>
				</div>
			</div>

				

			</form>

			<script type="text/javascript">
				function leadGatePro_getresponse_handler() {
					jQuery("#leadGatePro_getresponse_campaigns").attr("href", "'.admin_url('admin.php').'?action=leadGatePro-getresponse-campaigns&key="+leadGatePro_encode64(jQuery("#leadGatePro_getresponse_api_key").val()));
				}
				function leadGatePro_icontact_handler() {
					jQuery("#leadGatePro_icontact_lists").attr("href", "'.admin_url('admin.php').'?action=leadGatePro-icontact-lists&appid="+leadGatePro_encode64(jQuery("#leadGatePro_icontact_appid").val())+"&user="+leadGatePro_encode64(jQuery("#leadGatePro_icontact_apiusername").val())+"&pass="+leadGatePro_encode64(jQuery("#leadGatePro_icontact_apipassword").val()));
				}
				function leadGatePro_madmimi_handler() {
					jQuery("#leadGatePro_madmimi_lists").attr("href", "'.admin_url('admin.php').'?action=leadGatePro-madmimi-lists&login="+leadGatePro_encode64(jQuery("#leadGatePro_madmimi_login").val())+"&key="+leadGatePro_encode64(jQuery("#leadGatePro_madmimi_api_key").val()));
				}
				function leadGatePro_benchmark_handler() {
					jQuery("#leadGatePro_benchmark_lists").attr("href", "'.admin_url('admin.php').'?action=leadGatePro-benchmark-lists&key="+leadGatePro_encode64(jQuery("#leadGatePro_benchmark_api_key").val()));
				}
				function leadGatePro_aweber_connect() {
					jQuery("#leadGatePro-aweber-loading").fadeIn(350);
					jQuery("#leadGatePro-aweber-message").slideUp(350);
					var data = {action: "leadGatePro_aweber_connect", leadGatePro_aweber_oauth_id: jQuery("#leadGatePro_aweber_oauth_id").val()};
					jQuery.post("'.admin_url('admin-ajax.php').'", data, function(return_data) {
						jQuery("#leadGatePro-aweber-loading").fadeOut(350);
						try {
							//alert(return_data);
							var data = jQuery.parseJSON(return_data);
							var status = data.status;
							if (status == "OK") {
								jQuery("#leadGatePro-aweber-group").slideUp(350, function() {
									jQuery("#leadGatePro-aweber-group").html(data.html);
									jQuery("#leadGatePro-aweber-group").slideDown(350);
								});
							} else if (status == "ERROR") {
								jQuery("#leadGatePro-aweber-message").html(data.message);
								jQuery("#leadGatePro-aweber-message").slideDown(350);
							} else {
								jQuery("#leadGatePro-aweber-message").html("Service is not available.");
								jQuery("#leadGatePro-aweber-message").slideDown(350);
							}
						} catch(error) {
							jQuery("#leadGatePro-aweber-message").html("Service is not available.");
							jQuery("#leadGatePro-aweber-message").slideDown(350);
						}
					});
					return false;
				}
				function leadGatePro_aweber_disconnect() {
					jQuery("#leadGatePro-aweber-loading").fadeIn(350);
					var data = {action: "leadGatePro_aweber_disconnect"};
						jQuery.post("'.admin_url('admin-ajax.php').'", data, function(return_data) {
						jQuery("#leadGatePro-aweber-loading").fadeOut(350);
						try {
							//alert(return_data);
							var data = jQuery.parseJSON(return_data);
							var status = data.status;
							if (status == "OK") {
								jQuery("#leadGatePro-aweber-group").slideUp(350, function() {
									jQuery("#leadGatePro-aweber-group").html(data.html);
									jQuery("#leadGatePro-aweber-group").slideDown(350);
								});
							} else if (status == "ERROR") {
								jQuery("#leadGatePro-aweber-message").html(data.message);
								jQuery("#leadGatePro-aweber-message").slideDown(350);
							} else {
								jQuery("#leadGatePro-aweber-message").html("Service is not available.");
								jQuery("#leadGatePro-aweber-message").slideDown(350);
							}
						} catch(error) {
							jQuery("#leadGatePro-aweber-message").html("Service is not available.");
							jQuery("#leadGatePro-aweber-message").slideDown(350);
						}
					});
					return false;
				}
				jQuery(document).ready(function(){
                                        jQuery(".tmpl_selector").click(function(){
                                            jQuery(".tmpl_selector").children().css("border","none");
                                            jQuery(this).children().css("border","1px solid red");
                                            jQuery("#leadGatePro_template").val(jQuery(this).children().data("id"));
                                        });
					jQuery(".leadGatePro-color").wpColorPicker();
				});
			</script>			
		</div>';
	}

        function admin_dashboard(){
            ?>
            <link href="https://fonts.googleapis.com/css?family=Titillium+Web" rel="stylesheet">
            <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
            <style> #wpbody{ background: #eaf6ff; } #wpcontent{ padding-left: 0px; }
                    .admin_leadGatePro_wrap{ font-family: 'Titillium Web', sans-serif; padding-left: 20px; padding-top: 20px; }
                    .admin_leadGatePro_wrap h2{ text-align: center; color:#1e68a8; }
            </style>    
            <div class="wrap admin_leadGatePro_wrap leadGateProNav">
                
                    <nav class="navbar navbar-default">
                      <div class="container-fluid">
                        <div class="navbar-header">
                            <img class="img-responsive" src="<?php echo plugins_url('/images/leadGatePro.png', __FILE__); ?>" style="max-height: 55px;" onclick="location.href='<?php echo admin_url('admin.php?page=').'leadGatePro';?>">
                        </div>
                        <div class="collapse navbar-collapse" id="leadGtNavbar">
                          <ul class="nav navbar-nav navbar-right leadGtNavs">
                            <li><a href="#"><i class="fa fa-support"></i> Support</a></li>
                          </ul>
                        </div>
                      </div>
                    </nav>
                
<!--                <h2>Welcome to LeadGate Pro</h2>-->
                                
                                <div class="col-sm-7" style="
    padding: 20px 50px;
">
                                    <div style="
    position: relative;
    display: block;
    height: 0;
    padding: 0;
    overflow: hidden;
    padding-bottom: 75%;
">
                <iframe src="https://www.youtube.com/embed/tr2mHM2hd54?showinfo=0&amp;controls=0&amp;rel=0" frameborder="0" allowfullscreen="" style="
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
"></iframe>
              </div>
                                </div>
                                <div class="col-sm-5">
                                    <h2 style="
    font-size: 30px;
    margin: 30px;
">What is LeadGate Pro?</h2>
                                    <p style="
    padding: 10px 30px;
    font-size: 18px;
">Welcome to LeadGate Pro. With this plugin you can easily lock a specific part of any WordPress post or pages behind an opt-in form. This powerful content locker plugin is the ultimate solution for list building from your WordPress contents.</p>

                                <div class="col-sm-12" id="dbButtons">
                                    <div class="col-sm-6">
                                        <div class="customBtnPro raised hoverable btPlusFb" onclick="location.href='<?php echo admin_url('admin.php?page=');?>leadGatePro-users'">
                                               <div class="anim"></div><span><i class="fa fa-users"></i> Subscribers</span>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="customBtnPro raised hoverable btPlusGreen" onclick="location.href='<?php echo admin_url('admin.php?page=');?>leadGatePro-settings'">
                                               <div class="anim"></div><span><i class="fa fa-cog"></i> Settings</span>
                                        </div>
                                    </div>
                                </div>

       
                            </div>

                
            </div>
        <?php
        }

	function aweber_connect() {
		global $wpdb;
		if (current_user_can('manage_options')) {
			if (!isset($_POST['leadGatePro_aweber_oauth_id']) || empty($_POST['leadGatePro_aweber_oauth_id'])) {
				$return_object = array();
				$return_object['status'] = 'ERROR';
				$return_object['message'] = __('Authorization Code not found.', 'leadGatePro');
				echo json_encode($return_object);
				exit;
			}
			$code = trim(stripslashes($_POST['leadGatePro_aweber_oauth_id']));
			if (!class_exists('AWeberAPI')) {
				require_once(dirname(__FILE__).'/aweber_api/aweber_api.php');
			}
			$account = null;
			try {
				list($consumer_key, $consumer_secret, $access_key, $access_secret) = AWeberAPI::getDataFromAweberID($code);
			} catch (AWeberAPIException $exc) {
				list($consumer_key, $consumer_secret, $access_key, $access_secret) = null;
			} catch (AWeberOAuthDataMissing $exc) {
				list($consumer_key, $consumer_secret, $access_key, $access_secret) = null;
			} catch (AWeberException $exc) {
				list($consumer_key, $consumer_secret, $access_key, $access_secret) = null;
			}
			if (!$access_secret) {
				$return_object = array();
				$return_object['status'] = 'ERROR';
				$return_object['message'] = __('Invalid Authorization Code!', 'leadGatePro');
				echo json_encode($return_object);
				exit;
			} else {
				try {
					$aweber = new AWeberAPI($consumer_key, $consumer_secret);
					$account = $aweber->getAccount($access_key, $access_secret);
				} catch (AWeberException $e) {
					$return_object = array();
					$return_object['status'] = 'ERROR';
					$return_object['message'] = __('Can not access AWeber account!', 'leadGatePro');
					echo json_encode($return_object);
					exit;
				}
			}
			$this->options['aweber_consumer_key'] = $consumer_key;
			$this->options['aweber_consumer_secret'] = $consumer_secret;
			$this->options['aweber_access_key'] = $access_key;
			$this->options['aweber_access_secret'] = $access_secret;
			$this->update_options();
			$return_object = array();
			$return_object['status'] = 'OK';
			$return_object['html'] = '
										<tr>
											<th>'.__('Connected', 'leadGatePro').':</th>
											<td>
												<input type="button" class="leadGatePro_button button-secondary" value="'.__('Disconnect', 'leadGatePro').'" onclick="return leadGatePro_aweber_disconnect();" >
												<img id="leadGatePro-aweber-loading" src="'.plugins_url('/images/loading.gif', __FILE__).'">
												<br /><em>'.__('Click the button to disconnect.', 'leadGatePro').'</em>
											</td>
										</tr>
										<tr>
											<th>'.__('List ID', 'leadGatePro').':</th>
											<td>
												<select name="leadGatePro_aweber_listid" style="width: 40%;">
													<option value="">'.__('--- Select List ID ---', 'leadGatePro').'</option>';
				$lists = $account->lists;
				foreach ($lists as $list) {
					$return_object['html'] .= '
													<option value="'.$list->id.'"'.($list->id == $this->options['aweber_listid'] ? ' selected="selected"' : '').'>'.$list->name.'</option>';
				}
				$return_object['html'] .= '
												</select>
												<br /><em>'.__('Select your List ID.', 'leadGatePro').'</em>
											</td>
										</tr>';
			echo json_encode($return_object);
			exit;
		}
		exit;
	}
	
	function aweber_disconnect() {
		global $wpdb;
		if (current_user_can('manage_options')) {
			$this->options['aweber_consumer_key'] = '';
			$this->options['aweber_consumer_secret'] = '';
			$this->options['aweber_access_key'] = '';
			$this->options['aweber_access_secret'] = '';
			$this->update_options();
			$return_object = array();
			$return_object['status'] = 'OK';
			$return_object['html'] = '
					<tr>
						<th>'.__('Authorization code', 'leadGatePro').':</th>
						<td>
							<input type="text" id="leadGatePro_aweber_oauth_id" value="" class="widefat leadGatePro-input" placeholder="AWeber authorization code">
							<br />Get your authorization code <a target="_blank" href="https://auth.aweber.com/1.0/oauth/authorize_app/'.SUBSCRIBEUNLOCK_AWEBER_APPID.'">'.__('here', 'leadGatePro').'</a>.
						</td>
					</tr>
					<tr>
						<th></th>
						<td style="vertical-align: middle;">
							<input type="button" class="leadGatePro_button button-secondary" value="'.__('Make Connection', 'leadGatePro').'" onclick="return leadGatePro_aweber_connect();" >
							<img id="leadGatePro-aweber-loading" src="'.plugins_url('/images/loading.gif', __FILE__).'">
						</td>
					</tr>';
			echo json_encode($return_object);
			exit;
		}
		exit;
	}

	function admin_users() { ?>
                <link href="https://fonts.googleapis.com/css?family=Titillium+Web" rel="stylesheet">
                <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
                <style> #wpbody{ background: #eaf6ff; } #wpcontent{ padding-left: 0px; }
                        .admin_leadGatePro_wrap{ font-family: 'Titillium Web', sans-serif; padding-left: 20px; }
                        .admin_leadGatePro_wrap h2{ text-align: center; color:#1e68a8; }
                        .admin_leadGatePro_wrap .panel-title a{ padding: 2px 15px;
                                        background: #96caf7;
                                        border-radius: 20px; }
                        .welcomeMsgInputs{ display: none; }
                        .admin_leadGatePro_wrap table.leadGatePro_users td, .admin_leadGatePro_wrap table.leadGatePro_users th{ border: 1px solid #428bca; }
                        .admin_leadGatePro_wrap table.leadGatePro_users th{ background: #428bca; color: white; text-align: center; }
                        .leadGatePro_users td{  }
                </style>    
                <?php
		global $wpdb;

		if (isset($_GET["s"])) $search_query = trim(stripslashes($_GET["s"]));
		else $search_query = "";
		
		$tmp = $wpdb->get_row("SELECT COUNT(*) AS total FROM ".$wpdb->prefix."sp_users WHERE deleted = '0'".((strlen($search_query) > 0) ? " AND (name LIKE '%".addslashes($search_query)."%' OR email LIKE '%".addslashes($search_query)."%')" : ""), ARRAY_A);
		$total = $tmp["total"];
		$totalpages = ceil($total/SUBSCRIBEUNLOCK_RECORDS_PER_PAGE);
		if ($totalpages == 0) $totalpages = 1;
		if (isset($_GET["p"])) $page = intval($_GET["p"]);
		else $page = 1;
		if ($page < 1 || $page > $totalpages) $page = 1;
		$switcher = $this->page_switcher(get_bloginfo("wpurl")."/wp-admin/admin.php?page=leadGatePro-users".((strlen($search_query) > 0) ? "&s=".rawurlencode($search_query) : ""), $page, $totalpages);

		$sql = "SELECT * FROM ".$wpdb->prefix."sp_users WHERE deleted = '0'".((strlen($search_query) > 0) ? " AND (name LIKE '%".addslashes($search_query)."%' OR email LIKE '%".addslashes($search_query)."%')" : "")." ORDER BY registered DESC LIMIT ".(($page-1)*SUBSCRIBEUNLOCK_RECORDS_PER_PAGE).", ".SUBSCRIBEUNLOCK_RECORDS_PER_PAGE;
		$rows = $wpdb->get_results($sql, ARRAY_A);
		if (isset($_GET['deleted'])) $message = "<div class='updated'><p>".__('Record successfully deleted!', 'leadGatePro')."</p></div>";
		else $message = '';

		print ('
			<div class="wrap admin_leadGatePro_wrap leadGateProNav">
                
                    <nav class="navbar navbar-default">
                      <div class="container-fluid">
                        <div class="navbar-header">
                            <img class="img-responsive" src="'.plugins_url('/images/leadGatePro.png', __FILE__).'" style="max-height: 55px;" onclick="location.href=\''.admin_url('admin.php?page=').'leadGatePro\'">
                        </div>
                        <div class="collapse navbar-collapse" id="leadGtNavbar">
                          
                          <ul class="nav navbar-nav navbar-right leadGtNavs">
                                <li><a href="'.admin_url('admin.php?page=').'leadGatePro-settings'.'"><span class="fa fa-cog"></span> Settings</a></li>
                                <li><a href="#"><span class="fa fa-university"></span> Tutorials</a></li>
                                <li><a href="#"><span class="fa fa-support"></span> Support</a></li>
                          </ul>
                        </div>
                      </div>
                    </nav>
				<h2>'.__('LeadGate Pro - Users', 'leadGatePro').'</h2><br />
				'.$message.'
				<form action="'.admin_url('admin.php').'" method="get" style="margin-bottom: 10px;">
				<input type="hidden" name="page" value="leadGatePro-users" />
				
				<input type="text" name="s" placeholder="Type Subscriber Name" value="'.htmlspecialchars($search_query, ENT_QUOTES).'" style="
    height: 45px;
    width: 300px;
">
<input type="submit" class="btn btn-info btn-sm action" value="'.__('Search', 'leadGatePro').'" />
				'.((strlen($search_query) > 0) ? '<input type="button" class="button-secondary action" value="'.__('Reset search results', 'leadGatePro').'" onclick="window.location.href=\''.admin_url('admin.php').'?page=leadGatePro-users\';" />' : '').'
				</form>
				<div class="leadGatePro_buttons"><a class="btn btn-info" href="'.admin_url('admin.php').'?action=leadGatePro-csv">'.__('CSV Export', 'leadGatePro').'</a></div>
				<div class="leadGatePro_pageswitcher">'.$switcher.'</div>
				<table class="leadGatePro_users">
				<tr>
					<th>'.__('Name', 'leadGatePro').'</th>
					<th>'.__('E-mail', 'leadGatePro').'</th>
					<th style="width: 120px;">'.__('Registered', 'leadGatePro').'</th>
					<th style="width: 25px;"></th>
				</tr>');
		if (sizeof($rows) > 0) {
			foreach ($rows as $row) {
				print ('
				<tr>
					<td>'.($row['name'] == '' ? '-' : esc_attr($row['name'])).'</td>
					<td>'.esc_attr($row['email']).'</td>
					<td>'.date("Y-m-d H:i", $row['registered']).'</td>
					<td style="text-align: center;">
						<a href="'.admin_url('admin.php').'?action=leadGatePro-delete&id='.$row['id'].'" title="'.__('Delete record', 'leadGatePro').'" onclick="return leadGatePro_submitOperation();"><span><i class="fa fa-times"></i> Delete</span></a>
					</td>
				</tr>
				');
			}
		} else {
			print ('
				<tr><td colspan="4" style="padding: 20px; text-align: center;">'.((strlen($search_query) > 0) ? __('No results found for', 'leadGatePro').' "<strong>'.htmlspecialchars($search_query, ENT_QUOTES).'</strong>"' : __('List is empty.', 'leadGatePro')).'</td></tr>');
		}
		print ('
				</table>
				<div class="leadGatePro_buttons">
					<a class="btn btn-info" href="'.admin_url('admin.php').'?action=leadGatePro-deleteall" onclick="return leadGatePro_submitOperation();">'.__('Delete All', 'leadGatePro').'</a>
					<a class="btn btn-info" href="'.admin_url('admin.php').'?action=leadGatePro-csv">'.__('CSV Export', 'leadGatePro').'</a>
				</div>
				<div class="leadGatePro_pageswitcher">'.$switcher.'</div>
			</div>
			<script type="text/javascript">
				function leadGatePro_submitOperation() {
					var answer = confirm("'.__('Do you really want to continue?', 'leadGatePro').'")
					if (answer) return true;
					else return false;
				}
			</script>');
	}
	
	function admin_request_handler() {
		global $wpdb;
		if (!empty($_POST['action'])) {
			switch($_POST['action']) {
				case 'leadGatePro_update_options':
					$this->populate_options();
					if (isset($_POST["leadGatePro_soft_mode"])) $this->options['soft_mode'] = "on";
					else $this->options['soft_mode'] = "off";
					if (isset($_POST["leadGatePro_Welcome_enable"])) $this->options['Welcome_enable'] = "on";
					else $this->options['Welcome_enable'] = "off";
					if (isset($_POST["leadGatePro_mailchimp_double"])) $this->options['mailchimp_double'] = "on";
					else $this->options['mailchimp_double'] = "off";
					if (isset($_POST["leadGatePro_mailchimp_welcome"])) $this->options['mailchimp_welcome'] = "on";
					else $this->options['mailchimp_welcome'] = "off";
					if (isset($_POST["leadGatePro_mailchimp_enable"])) $this->options['mailchimp_enable'] = "on";
					else $this->options['mailchimp_enable'] = "off";
					if (isset($_POST["leadGatePro_icontact_enable"])) $this->options['icontact_enable'] = "on";
					else $this->options['icontact_enable'] = "off";
					if (isset($_POST["leadGatePro_campaignmonitor_enable"])) $this->options['campaignmonitor_enable'] = "on";
					else $this->options['campaignmonitor_enable'] = "off";
					if (isset($_POST["leadGatePro_getresponse_enable"])) $this->options['getresponse_enable'] = "on";
					else $this->options['getresponse_enable'] = "off";
					if (isset($_POST["leadGatePro_madmimi_enable"])) $this->options['madmimi_enable'] = "on";
					else $this->options['madmimi_enable'] = "off";
					if (isset($_POST["leadGatePro_disable_name"])) $this->options['disable_name'] = "on";
					else $this->options['disable_name'] = "off";
					if (isset($_POST["leadGatePro_aweber_enable"])) $this->options['aweber_enable'] = "on";
					else $this->options['aweber_enable'] = "off";
					if (isset($_POST["leadGatePro_mymail_enable"])) $this->options['mymail_enable'] = "on";
					else $this->options['mymail_enable'] = "off";
					if (isset($_POST["leadGatePro_mymail_double"])) $this->options['mymail_double'] = "on";
					else $this->options['mymail_double'] = "off";
					if (isset($_POST['leadGatePro_email_validation'])) $this->options['email_validation'] = 'on';
					else $this->options['email_validation'] = 'off';
					if (isset($_POST["leadGatePro_sendy_enable"])) $this->options['sendy_enable'] = "on";
					else $this->options['sendy_enable'] = "off";
					if (isset($_POST["leadGatePro_benchmark_enable"])) $this->options['benchmark_enable'] = "on";
					else $this->options['benchmark_enable'] = "off";
					if (isset($_POST["leadGatePro_benchmark_double"])) $this->options['benchmark_double'] = "on";
					else $this->options['benchmark_double'] = "off";
					if (isset($_POST['leadGatePro_ga_tracking'])) $this->options['ga_tracking'] = 'on';
					else $this->options['ga_tracking'] = 'off';

					$this->update_options();
					$errors = $this->check_options();
					if (!is_array($errors)) header('Location: '.admin_url('admin.php').'?page=leadGatePro&updated=true');
					else header('Location: '.admin_url('admin.php').'?page=leadGatePro');
					die();
					break;
				default:
					break;
			}
		}
		if (isset($_GET['action'])) {
			switch($_GET['action']) {
				case 'leadGatePro-delete':
					$id = intval($_GET["id"]);
					$user_details = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."sp_users WHERE id = '".$id."' AND deleted = '0'", ARRAY_A);
					if (intval($user_details["id"]) == 0) {
						header('Location: '.admin_url('admin.php').'?page=leadGatePro-users');
						die();
					}
					$sql = "UPDATE ".$wpdb->prefix."sp_users SET deleted = '1' WHERE id = '".$id."'";
					if ($wpdb->query($sql) !== false) {
						header('Location: '.admin_url('admin.php').'?page=leadGatePro-users&deleted=1');
					} else {
						header('Location: '.admin_url('admin.php').'?page=leadGatePro-users');
					}
					die();
					break;
				case 'leadGatePro-csv':
					$rows = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."sp_users WHERE deleted = '0' ORDER BY registered DESC", ARRAY_A);
					if (sizeof($rows) > 0) {
						if (strstr($_SERVER["HTTP_USER_AGENT"],"MSIE")) {
							header("Pragma: public");
							header("Expires: 0");
							header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
							header("Content-type: application-download");
							header("Content-Disposition: attachment; filename=\"emails.csv\"");
							header("Content-Transfer-Encoding: binary");
						} else {
							header("Content-type: application-download");
							header("Content-Disposition: attachment; filename=\"emails.csv\"");
						}
						$separator = $this->options['csv_separator'];
						if ($separator == 'tab') $separator = "\t";
						echo '"Name"'.$separator.'"E-Mail"'.$separator.'"Registered"'."\r\n";
						foreach ($rows as $row) {
							echo '"'.str_replace('"', '', $row["name"]).'"'.$separator.'"'.str_replace('"', "", $row["email"]).'"'.$separator.'"'.date("Y-m-d H:i:s", $row["registered"]).'"'."\r\n";
						}
						die();
		            }
		            header("Location: ".get_bloginfo('wpurl')."/wp-admin/admin.php?page=leadGatePro");
					die();
					break;
				case 'leadGatePro-deleteall':
					$sql = "UPDATE ".$wpdb->prefix."sp_users SET deleted = '1' WHERE deleted = '0'";
					if ($wpdb->query($sql) !== false) {
						header('Location: '.admin_url('admin.php').'?page=leadGatePro-users&deleted=1');
					} else {
						header('Location: '.admin_url('admin.php').'?page=leadGatePro-users');
					}
					die();
					break;
				case 'leadGatePro-getresponse-campaigns':
					if (isset($_GET["key"]) && !empty($_GET["key"])) {
						$key = base64_decode($_GET["key"]);
						$request = json_encode(
							array(
								'method' => 'get_campaigns',
								'params' => array(
									$key
								),
								'id' => ''
							)
						);

						$curl = curl_init('http://api2.getresponse.com/');
						curl_setopt($curl, CURLOPT_POST, 1);
						curl_setopt($curl, CURLOPT_POSTFIELDS, $request);
						$header = array(
							'Content-Type: application/json',
							'Content-Length: '.strlen($request)
						);
						//curl_setopt($curl, CURLOPT_PORT, 443);
						curl_setopt($curl, CURLOPT_HTTPHEADER, $header);
						curl_setopt($curl, CURLOPT_TIMEOUT, 10);
						//curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 1); // verify certificate
						//curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 2); // check existence of CN and verify that it matches hostname
						curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
						curl_setopt($curl, CURLOPT_FORBID_REUSE, 1);
						curl_setopt($curl, CURLOPT_FRESH_CONNECT, 1);
						curl_setopt($curl, CURLOPT_HEADER, 0);
									
						$response = curl_exec($curl);
						
						if (curl_error($curl)) die('<div style="text-align: center; margin: 20px 0px;">'.__('API call failed.','leadGatePro').'</div>');
						$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
						if ($httpCode != '200') die('<div style="text-align: center; margin: 20px 0px;">'.__('API call failed.','leadGatePro').'</div>');
						curl_close($curl);
						
						$post = json_decode($response, true);
						if(!empty($post['error'])) die('<div style="text-align: center; margin: 20px 0px;">'.__('API Key failed','leadGatePro').': '.$post['error']['message'].'</div>');
						
						if (!empty($post['result'])) {
							echo '
<html>
<head>
	<meta name="robots" content="noindex, nofollow, noarchive, nosnippet">
	<title>'.__('GetResponse Campaigns', 'leadGatePro').'</title>
</head>
<body>
	<table style="width: 100%;">
		<tr>
			<td style="width: 170px; font-weight: bold;">'.__('Campaign ID', 'leadGatePro').'</td>
			<td style="font-weight: bold;">'.__('Campaign Name', 'leadGatePro').'</td>
		</tr>';
							foreach ($post['result'] as $key => $value) {
								echo '
		<tr>
			<td>'.esc_attr($key).'</td>
			<td>'.esc_attr(esc_attr($value['name'])).'</td>
		</tr>';
							}
							echo '
	</table>						
</body>
</html>';
						} else echo '<div style="text-align: center; margin: 20px 0px;">'.__('No data found!', 'leadGatePro').'</div>';
					} else echo '<div style="text-align: center; margin: 20px 0px;">'.__('No data found!', 'leadGatePro').'</div>';
					die();
					break;
				case 'leadGatePro-icontact-lists':
					if (isset($_GET["appid"]) && isset($_GET["user"]) && isset($_GET["pass"])) {
						$this->options['icontact_appid'] = base64_decode($_GET["appid"]);
						$this->options['icontact_apiusername'] = base64_decode($_GET["user"]);
						$this->options['icontact_apipassword'] = base64_decode($_GET["pass"]);
						
						$lists = $this->icontact_getlists();
						if (!empty($lists)) {
							echo '
<html>
<head>
	<meta name="robots" content="noindex, nofollow, noarchive, nosnippet">
	<title>'.__('GetResponse Campaigns', 'leadGatePro').'</title>
</head>
<body>
	<table style="width: 100%;">
		<tr>
			<td style="width: 170px; font-weight: bold;">'.__('List ID', 'leadGatePro').'</td>
			<td style="font-weight: bold;">'.__('List Name', 'leadGatePro').'</td>
		</tr>';
							foreach ($lists as $key => $value) {
								echo '
		<tr>
			<td>'.esc_attr($key).'</td>
			<td>'.esc_attr(esc_attr($value)).'</td>
		</tr>';
							}
							echo '
	</table>						
</body>
</html>';
						} else echo '<div style="text-align: center; margin: 20px 0px;">'.__('No data found!', 'leadGatePro').'</div>';
					} else echo '<div style="text-align: center; margin: 20px 0px;">'.__('No data found!', 'leadGatePro').'</div>';
					die();
					break;
				case 'leadGatePro-madmimi-lists':
					if (isset($_GET["login"]) && isset($_GET["key"])) {
						$login = base64_decode($_GET["login"]);
						$key = base64_decode($_GET["key"]);
						
						$lists = $this->madmimi_getlists($login, $key);
						if (!empty($lists)) {
							echo '
<html>
<head>
	<meta name="robots" content="noindex, nofollow, noarchive, nosnippet">
	<title>'.__('Mad Mimi Lists', 'leadGatePro').'</title>
</head>
<body>
	<table style="width: 100%;">
		<tr>
			<td style="width: 170px; font-weight: bold;">'.__('List ID', 'leadGatePro').'</td>
			<td style="font-weight: bold;">'.__('List Name', 'leadGatePro').'</td>
		</tr>';
							foreach ($lists as $key => $value) {
								echo '
		<tr>
			<td>'.esc_attr($key).'</td>
			<td>'.esc_attr(esc_attr($value)).'</td>
		</tr>';
							}
							echo '
	</table>						
</body>
</html>';
						} else echo '<div style="text-align: center; margin: 20px 0px;">'.__('No data found!', 'leadGatePro').'</div>';
					} else echo '<div style="text-align: center; margin: 20px 0px;">'.__('No data found!', 'leadGatePro').'</div>';
					die();
					break;
				case 'leadGatePro-benchmark-lists':
					if (isset($_GET["key"])) {
						$key = base64_decode($_GET["key"]);
						
						$lists = $this->benchmark_getlists($key);
						if (!empty($lists)) {
							echo '
<html>
<head>
	<meta name="robots" content="noindex, nofollow, noarchive, nosnippet">
	<title>'.__('Benchmark Lists', 'leadGatePro').'</title>
</head>
<body>
	<table style="width: 100%;">
		<tr>
			<td style="width: 170px; font-weight: bold;">'.__('List ID', 'leadGatePro').'</td>
			<td style="font-weight: bold;">'.__('List Name', 'leadGatePro').'</td>
		</tr>';
							foreach ($lists as $key => $value) {
								echo '
		<tr>
			<td>'.esc_attr($key).'</td>
			<td>'.esc_attr(esc_attr($value)).'</td>
		</tr>';
							}
							echo '
	</table>						
</body>
</html>';
						} else echo '<div style="text-align: center; margin: 20px 0px;">'.__('No data found!', 'leadGatePro').'</div>';
					} else echo '<div style="text-align: center; margin: 20px 0px;">'.__('No data found!', 'leadGatePro').'</div>';
					die();
					break;
				default:
					break;
			}
		}
	}

	function mce_button($buttons) {
		array_push($buttons, "separator", "leadgatePro");
		return $buttons;
	}

	function mce_external_plugin($plugin_array){
		$plugin_array['leadgatePro'] = plugins_url('/js/button.js', __FILE__);
		return $plugin_array;
	}

	function admin_warning() {
		echo '
		<div class="updated"><p>'.__('<strong>LeadGate Pro</strong> plugin almost ready. You must do some <a href="admin.php?page=leadGatePro">settings</a> for it to work.', 'leadGatePro').'</p></div>';
	}

	function front_header() {
		global $post, $wpdb, $current_user;
		
		$from = $this->get_rgb($this->options['button_color']);
		$total = $from['r']+$from['g']+$from['b'];
		if ($total == 0) $total = 1;
		$to = array();
		$to['r'] = max(0, $from['r']-intval(48*$from['r']/$total));
		$to['g'] = max(0, $from['g']-intval(48*$from['g']/$total));
		$to['b'] = max(0, $from['b']-intval(48*$from['b']/$total));
		$to_color = '#'.($to['r'] < 16 ? '0' : '').dechex($to['r']).($to['g'] < 16 ? '0' : '').dechex($to['g']).($to['b'] < 16 ? '0' : '').dechex($to['b']);
		$from_color = $this->options['button_color'];
		if (!empty($this->options['input_background_color'])) $bg_color = $this->get_rgb($this->options['input_background_color']);
		echo '
		<style>
			.leadGatePro_signup_form, .leadGatePro_confirmation_info {background-color: '.(empty($this->options['box_color']) ? 'transparent' : $this->options['box_color']).' !important; border-color: '.(empty($this->options['box_border_color']) ? 'transparent' : $this->options['box_border_color']).' !important;'.(empty($this->options['box_font_color']) ? '' : ' color: '.$this->options['box_font_color'].' !important;').' font-size: '.intval($this->options['box_font_size']).'px !important;}
			.leadGatePro_signup_form a, .leadGatePro_confirmation_info a, .leadGatePro_signup_form p, .leadGatePro_confirmation_info p {'.(empty($this->options['box_font_color']) ? '' : ' color: '.$this->options['box_font_color'].';').' !important; font-size: '.intval($this->options['box_font_size']).'px !important;}
			.leadGatePro_signup_form a, .leadGatePro_confirmation_info a {'.(empty($this->options['box_font_color']) ? '' : ' color: '.$this->options['box_font_color'].';').' !important; text-decoration: underline !important;}
			a.leadGatePro-submit, a.leadGatePro-submit:visited {background-color: '.$from_color.' !important; border-color: '.$from_color.' !important; color: '.$this->options['button_font_color'].' !important; font-size: '.intval($this->options['button_font_size']).'px !important; text-decoration: none !important;}
			a.leadGatePro-submit:hover, a.leadGatePro-submit:active {background-color: '.$to_color.' !important; border-color: '.$to_color.' !important; color: '.$this->options['button_font_color'].' !important; font-size: '.intval($this->options['button_font_size']).'px !important; text-decoration: none !important;}
			.leadGatePro_terms, .leadGatePro-input, .leadGatePro-input:hover, .leadGatePro-input:active, .leadGatePro-input:focus{border-color:'.(empty($this->options['input_border_color']) ? 'transparent' : $this->options['input_border_color']).' !important; background-color:'.(empty($this->options['input_background_color']) ? 'transparent' : $this->options['input_background_color']).' !important; background-color:'.(empty($this->options['input_background_color']) ? 'transparent' : 'rgba('.$bg_color['r'].','.$bg_color['g'].','.$bg_color['b'].','.floatval($this->options['input_background_opacity'])).') !important;'.(empty($this->options['input_font_color']) ? '' : ' color: '.$this->options['input_font_color'].' !important;').' font-size: '.intval($this->options['input_font_size']).'px !important;}
		</style>
		<script>
			var leadGatePro_action = "'.admin_url('admin-ajax.php').'";
			var leadGatePro_cookie_value = "'.SUBSCRIBEUNLOCK_COOKIE.'";
			var leadGatePro_ga_tracking = "'.$this->options['ga_tracking'].'";
		</script>';
	}
	
	function shortcode_handler($_atts, $content=null) {
		global $post, $wpdb, $current_user;
		$form = '';
		if (isset($_COOKIE["leadGatePro"]) && $_COOKIE["leadGatePro"] == SUBSCRIBEUNLOCK_COOKIE) $content = do_shortcode(wpautop($content));
		else {
			if ($this->check_options() === true) {
				if (isset($_atts["width"])) $width = intval($_atts["width"]);
				if (isset($width) && $width < 100) unset($width);
				if (isset($_atts["title"])) $intro = do_shortcode(trim($_atts["title"]));
				else $intro = do_shortcode(trim($this->options['intro']));
                                switch($this->options['template']){
                                    case 'template2': $intropara='<p style="padding: 10px 10px !important;">'; break;
                                    case 'template3': $intropara='<p style="padding: 10px 10px !important;">'; break;
                                    case 'template4': $intropara='<p style="padding: 10px 10px !important;">'; break;
                                    case 'template5': $intropara='<p style="padding: 10px 10px !important;">'; break;
                                    case 'template6': $intropara='<p style="padding: 10px 10px !important;">'; break;
                                    case 'template7': $intropara='<p style="padding: 10px 10px !important;">'; break;
                                    case 'template8': $intropara='<p class="cfff" style="padding: 10px 10px !important;">'; break;
                                    case 'template9': $intropara='<p style="padding: 10px 10px !important;">'; break;
                                    case 'template10': $intropara='<p class="fntstyle4 pb10 nomargin pt0" style="padding: 10px 10px !important;">'; break;
                                    case 'template11': $intropara='<p class="fs14" style="padding: 10px 10px !important;">'; break;
                                    case 'template12': $intropara='<p class="fs12 c000 pb15" style="padding: 10px 10px !important;">'; break;
                                    default: $intropara='<p style="padding: 10px 10px !important;">'; break;
                                }
				if (strlen($intro) > 0) $intro = str_replace('<p>',$intropara,$intro);
//				if (strlen($intro) > 0) $intro = '<div class="leadGatePro_form_row">'.$intro.'</div>';
				if (isset($_atts["soft_mode"])) $soft_mode = $_atts["soft_mode"];
				else $soft_mode = '';
				if ($soft_mode != 'on' && $soft_mode != 'off') $soft_mode = $this->options["soft_mode"];
				
				$suffix = "_".rand(1000, 9999);
				$tac = '';
				$terms = htmlspecialchars($this->options['terms'], ENT_QUOTES);
				$terms = str_replace("\n", "<br />", $terms);
				$terms = str_replace("\r", "", $terms);
				if (!empty($this->options['terms'])) {
					$terms_id = "t".rand(100,999).rand(100,999).rand(100,999);
					$tac = '
						<div class="leadGatePro_form_row">
							<div id="terms'.$suffix.'" class="leadGatePro_invisible">
								<div class="leadGatePro_terms">'.$terms.'</div>
							</div>
							'.__('By clicking the button below, I agree with the', 'leadGatePro').' <a href="#" onclick="jQuery(\'#terms'.$suffix.'\').slideToggle(300); return false;">'.__('Terms & Conditions', 'leadGatePro').'</a>.
						</div>';
				}
                                
                                
                                switch($this->options['template']){
                                    case 'template2': 
				
                                        $form = '<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'"'.(!empty($width) ? ' style="width: '.$width.'px;"' : '').'>
                                                        <div name="leadGatePro" class="leadGatePro_box" id="leadGatePro'.$suffix.'">
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'" style="
                                                                            background: rgba(52,52,52,0.2) !important;
                                                                            min-height: 300px;
                                                                            border: rgb(0,75,144) !important;
                                                                            box-shadow: 2px 2px 4px #444;
                                                                            padding: 5% 10%;">
                                                                    <div class="leadGatePro_form_row">
                                                                        <div class="leadGatePro_form_column" style="width: 100%;padding: 0% 30%;">
                                                                            <img src="'.plugins_url('/images/lock.png', __FILE__).'" style="max-width: 200px;">
                                                                        </div>
                                                                        <div class="leadGatePro_form_column" style="width: 100%;">
                                                                        '.$intro.'
                                                                        <div class="leadGatePro_form_row">
                                                                                '.($this->options['disable_name'] == 'on' ? '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>' : '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="101" class="leadGatePro-input leadGatePro_fullwidth" type="text" id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" />
                                                                                </div>
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>').'
                                                                        </div>
                                                                        '.$tac.'
                                                                        <div style="padding: 5% 34%;">
                                                                                <a href="#" tabindex="103" class="leadGatePro-submit"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\' style="
                                                                                    background: rgba(55,55,55,0.7) !important;
                                                                                    padding: 10px;
                                                                                ">'.esc_attr($this->options['button_label']).'</a>
                                                                                <br><br><img id="loading'.$suffix.'" class="leadGatePro_loading" src="'.plugins_url('/images/loading.gif', __FILE__).'" alt="" style="transition-property: all; transition-duration: 0s; transition-timing-function: ease; margin-left: 50px !important; display: none;">
                                                                        </div>
                                                                        </div>
                                                                        </div>
                                                                        <div id="message'.$suffix.'" class="leadGatePro_message"></div>
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>
                                                        </div>
                                                </div>'; break;
                                    case 'template3': 
				
                                        $form = '<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'"'.(!empty($width) ? ' style="width: '.$width.'px;"' : '').'>
                                                        <div name="leadGatePro" class="leadGatePro_box" id="leadGatePro'.$suffix.'">
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'" style="min-height: 530px;max-width: 638px;background: url('.plugins_url('/images/formbg1.png', __FILE__).') !important;background-size: cover!important;border: rgb(0,75,144) !important;">
                                                                    <div class="leadGatePro_form_row" style="
                                                                        max-width: 565px;
                                                                        padding: 10% 5% 0% 20%;
                                                                    ">
                                                                        <div class="leadGatePro_form_column" style="width: 100%;">
                                                                        '.$intro.'
                                                                        <div class="leadGatePro_form_row">
                                                                                '.($this->options['disable_name'] == 'on' ? '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>' : '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="101" class="leadGatePro-input leadGatePro_fullwidth" type="text" id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" />
                                                                                </div>
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>').'
                                                                        </div>
                                                                        '.$tac.'
                                                                        <div style="padding: 5% 25%;">
                                                                                <a href="#" tabindex="103" class="leadGatePro-submit"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'style="
                                                                                    background: rgba(255,255,255,0.4) !important;
                                                                                    padding: 10px;
                                                                                ">'.esc_attr($this->options['button_label']).'</a>
                                                                                <br><br><img id="loading'.$suffix.'" class="leadGatePro_loading" src="'.plugins_url('/images/loading.gif', __FILE__).'" alt="" style="transition-property: all; transition-duration: 0s; transition-timing-function: ease; margin-left: 50px !important; display: none;">
                                                                        </div>
                                                                        </div>
                                                                        </div>
                                                                        <div id="message'.$suffix.'" class="leadGatePro_message" style="display: block;width: 70%;margin-left: 15%;"></div>
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>
                                                        </div>
                                                </div>'; break;
                                    case 'template4': 
				
                                        $form = '<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'"'.(!empty($width) ? ' style="width: '.$width.'px;"' : '').'>
                                                        <div name="leadGatePro" class="leadGatePro_box" id="leadGatePro'.$suffix.'">
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'" style="min-height: 570px;max-width: 640px;background: url('.plugins_url('/images/formbg2.png', __FILE__).') !important;background-size: cover;border: rgb(0,75,144) !important;">
                                                                    
                                                                        <div class="leadGatePro_form_row" style="
    background: rgba(255,255,255,0.7);
    max-width: 550px;
        margin: 15% 5%;
">
                                                                        '.$intro.'
                                                                        <div class="leadGatePro_form_row">
                                                                                '.($this->options['disable_name'] == 'on' ? '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>' : '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="101" class="leadGatePro-input leadGatePro_fullwidth" type="text" id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" />
                                                                                </div>
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>').'
                                                                        </div>
                                                                        '.$tac.'
                                                                        <div style="padding: 5%">
                                                                                <a href="#" tabindex="103" class="leadGatePro-submit"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'style="
                                                                                    background: rgba(255,255,255,0.4) !important;
                                                                                    color: #222 !important;
                                                                                    padding: 10px;
                                                                                    border: 1px solid #444 !important;
                                                                                    float:right;
                                                                                ">'.esc_attr($this->options['button_label']).'</a>
                                                                                <br><br><img id="loading'.$suffix.'" class="leadGatePro_loading" src="'.plugins_url('/images/loading.gif', __FILE__).'" alt="" style="transition-property: all; transition-duration: 0s; transition-timing-function: ease; margin-left: 50px !important; display: none;">
                                                                        
                                                                        </div>
                                                                        </div>
                                                                        <div id="message'.$suffix.'" class="leadGatePro_message"></div>
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>
                                                        </div>
                                                </div>'; break;
                                    case 'template5': 
				
                                        $form = '<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'"'.(!empty($width) ? ' style="width: '.$width.'px;"' : '').'>
                                                        <div name="leadGatePro" class="leadGatePro_box" id="leadGatePro'.$suffix.'">
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'" style="min-height: 480px;max-width: 638px;background: url('.plugins_url('/images/formbg3.jpg', __FILE__).') !important;background-size: cover!important;border: rgb(0,75,144) !important;box-shadow: 1px 1px 10px #888;">
                                                                    <div class="leadGatePro_form_row" style="
                                                                        max-width: 565px;
                                                                        padding: 10% 4% 0% 10%;
                                                                    ">
                                                                        <div class="leadGatePro_form_column" style="width: 100%;background: rgba(255,255,255,0.7);
    border-radius: 10px;
    padding: 10px;">
                                                                        '.$intro.'
                                                                        <div class="leadGatePro_form_row">
                                                                                '.($this->options['disable_name'] == 'on' ? '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>' : '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="101" class="leadGatePro-input leadGatePro_fullwidth" type="text" id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" />
                                                                                </div>
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>').'
                                                                        </div>
                                                                        '.$tac.'
                                                                        <div style="text-align: center;
    padding-top: 15px;">
                                                                                <a href="#" tabindex="103" class="leadGatePro-submit"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'style="
                                                                                    padding: 10px;
                                                                                ">'.esc_attr($this->options['button_label']).'</a>
                                                                                <br><br><img id="loading'.$suffix.'" class="leadGatePro_loading" src="'.plugins_url('/images/loading.gif', __FILE__).'" alt="" style="transition-property: all; transition-duration: 0s; transition-timing-function: ease; margin-left: 50px !important; display: none;">
                                                                        </div>
                                                                        </div>
                                                                        </div>
                                                                        <div id="message'.$suffix.'" class="leadGatePro_message" style="display: block;width: 70%;margin-left: 15%;"></div>
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>
                                                        </div>
                                                </div>'; break;
                                    case 'template6': 
				
                                        $form = '<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'"'.(!empty($width) ? ' style="width: '.$width.'px;"' : '').'>
                                                        <div name="leadGatePro" class="leadGatePro_box" id="leadGatePro'.$suffix.'">
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'" style="min-height: 480px;max-width: 638px;background: url('.plugins_url('/images/formbg4.jpg', __FILE__).') !important;background-size: cover!important;border: rgb(0,75,144) !important;box-shadow: 1px 1px 10px #888;">
                                                                    <div class="leadGatePro_form_row" style="
                                                                        max-width: 565px;
                                                                        padding: 10% 4% 0% 20%;
                                                                    ">
                                                                        <div class="leadGatePro_form_column" style="width: 100%;padding: 10px;">
                                                                        '.$intro.'
                                                                        <div class="leadGatePro_form_row">
                                                                                '.($this->options['disable_name'] == 'on' ? '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>' : '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="101" class="leadGatePro-input leadGatePro_fullwidth" type="text" id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" />
                                                                                </div>
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>').'
                                                                        </div>
                                                                        '.$tac.'
                                                                        <div style="text-align: center;
    padding-top: 15px;">
                                                                                <a href="#" tabindex="103" class="leadGatePro-submit"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'style="
                                                                                    padding: 10px;background: rgba(109, 69, 4,0.7) !important;
                                                                                ">'.esc_attr($this->options['button_label']).'</a>
                                                                                <br><br><img id="loading'.$suffix.'" class="leadGatePro_loading" src="'.plugins_url('/images/loading.gif', __FILE__).'" alt="" style="transition-property: all; transition-duration: 0s; transition-timing-function: ease; margin-left: 50px !important; display: none;">
                                                                        </div>
                                                                        </div>
                                                                        </div>
                                                                        <div id="message'.$suffix.'" class="leadGatePro_message" style="display: block;width: 70%;margin-left: 15%;"></div>
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>
                                                        </div>
                                                </div>'; break;
                                    case 'template7': 
				
                                        $form = '<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" type="text/css">
	<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans" />
        <style type="text/css">
        
.leadGatePro_signup_form{
    border: none;
    background: none;
}

	.fntstyle1 {
	font-family: "Open Sans";
	font-size: 25px;
	font-weight: 600;
}
		.fntstyle2 {
	font-family: "Open Sans";
	font-size: 18px;
	color: #787778;
}
		 .ht43 {
		 	height: 43px;
		 } 
		.wid100 {
			width: 100%
		}
		.ptpb10 {
			padding-top: 10px;
			padding-bottom: 10px;
		}

		.pt30 {
			padding-top: 30px;
		}
		.pb15{
			padding-bottom: 15px;
		}

		.pb20{
			padding-bottom: 20px;
		}
		.pt0 {
			padding-top: 0px !important
		}

		.nomargin {
			margin: 0px;
		}

	.btnstyle {
	padding: 7px 15px;
    width: 100%;
    display: inline-block;
    border-radius: 3px;
    background-color: #ffe16c;
    color: #9c7e13;
         border: 1px solid #ffe16c;
         border-bottom: 5px solid #edd164 !important;
		}

		.btnstyle:hover {
			background-color: #000;
		}

		.cbdb0ac {
			color: #bdb0ac;
		}

		.fs12 {
			font-size: 12px;
		}

		.fs18 {
			font-size: 18px;
		}

		.fw500 {
			font-weight: 500;
		}

		.brstyle1{
    border: 1px solid #dadada;
    background-color: #f8f8f8;
    padding: 30px;
}

		   .brstyle2{ 
		   	border-style: solid;
    		border-width: 6px;
    		border-bottom-color:#eae8e8;
    		border-top-color: #eae8e8;
    		border-left-color: #eae8e8;
    		border-right-color: #eae8e8;
    		border-radius: 4px;
    		background: #fff;
    	}
</style>  
<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'">
                                                        <div id="leadGatePro'.$suffix.'">
                   
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'">
					<!-- niladri start -->

					<div class="col-sm-offset-1 col-sm-10 brstyle1">

                                               <div class="col-sm-12 brstyle2">

                                            <div class="text-center pt30">

                                                    <h1 class="text-capitalize fntstyle1 pb15 nomargin">This content is only for subscribers</h1>

                                                    '.$intro.'

                                            </div>

                                            <div class="col-sm-offset-3 col-sm-6">
                                                                                                            '.($this->options['disable_name'] == 'on' ?
                            '<div class="form-group">

                                            <input type="email" tabindex="102"  class="form-control ht43"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

                            ' : '<div class="form-group">

                                            <input type="text" tabindex="101"  class="form-control ht43"  id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" required/> </div>  
                            <div class="form-group">

                                            <input type="email" tabindex="102"  class="form-control ht43"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

                            ').'

                                            <button class="text-capitalize btnstyle fs18 fw500" tabindex="103"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'>'.esc_attr($this->options['button_label']).'</button>

                            </div>
                                            <div class="col-sm-12 text-center ptpb10">
                                                    <span class="fs12 cbdb0ac">Your email address is 100% safe from spam!</span>
                                                    <div id="message'.$suffix.'" class="leadGatePro_message"></div>
                                            </div>
                            '.$tac.'

                                 </div>
                                                
                                               </div> <!-- niladri end -->
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>

                                           </div>
                                           </div>'; break;
                                    case 'template8': 
				
                                        $form = '<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" type="text/css">
	<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans" />

	<style type="text/css">
        
.leadGatePro_signup_form{
    border: none;
    background: none;
}

	.fntstyle1 {
	font-family: "Open Sans";
	font-size: 25px;
	font-weight: 600;
}
		.fntstyle2 {
	font-family: "Open Sans";
	font-size: 18px;
	color: #787778;
}
		 .ht43 {
		 	height: 43px;
		 } 
		.wid100 {
			width: 100%
		}
		.ptpb10 {
			padding-top: 10px;
			padding-bottom: 10px;
		}

		.pt30 {
			padding-top: 30px;
		}
		.pt10 {
			padding-top: 10px;
		}
		.pb30 {
			padding-bottom: 30px;
		}
		.pb5{
			padding-bottom: 5px;
		}
		.pb15{
			padding-bottom: 15px;
		}

		.pb20{
			padding-bottom: 20px;
		}
		.pt0 {
			padding-top: 0px !important;
		}

		.nomargin {
			margin: 0px;
		}

		.nopadding {
			padding: 0px;
		}

			.bc17222b {
				background-color: #17222b !important;
			}

			.btnstyle {
			padding: 7px 15px;
		    width: 100%;
		    display: inline-block;
		    border-radius: 3px;
		    background-color: #ffe16c;
		    color: #9c7e13;
		         border: 1px solid #ffe16c;
		         border-bottom: 5px solid #edd164 !important;
				}

		.btnstyle:hover {
			background-color: #000;
		}

		.cbdb0ac {
			color: #bdb0ac;
		}

		.fs12 {
			font-size: 12px;
		}

		.fs18 {
			font-size: 18px;
		}

		.fw500 {
			font-weight: 500;
		}

		.brstyle3{
   border-radius: 5px;
   box-shadow: 2px 3px 7px 3px rgba(50, 50, 50, 0.55);
   border-bottom: 3px solid #000 !important;
}

		.brstyle1{
    border: 1px solid #dadada;
    background-color: #f8f8f8;
    padding: 30px 30px 0;
}

		   .brstyle2{ 
		   	border-style: solid;
    		border-width: 6px;
    		border-bottom-color:#fff;
    		border-top-color: #eae8e8;
    		border-left-color: #eae8e8;
    		border-right-color: #eae8e8;
    		border-radius: 4px;
    		background: #fff;
    	}
    	a.txtnone{ 
    		color: #9ca3b3;
    	}
    	a.txtnone:hover{ 
    		text-decoration: none;
    		color: #9ca3b3;
    	}
    	.backstyle {
    		background-color: #263e50;
    	}
    	.backstyle1 {
    		background-color: #223747;
    	}
    	.btnstyle1 {
    		background-color: #42c9fa;
    		color: #fff;
    		padding: 7px 15px;
    width: 100%;
    display: inline-block;
    border-radius: 3px;
    border: 1px solid #42c9fa;
        }

        .btnstyle1:hover { 
        	background-color:#4090ad; 
        }
    	.cfff {
    		color: #fff;
    	}
    	.c9ca3b3 {
    		color: #9ca3b3;
    	}
</style>  
<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'">
                                                        <div id="leadGatePro'.$suffix.'">
                   
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'">
					

					
			<div class="col-sm-offset-1 col-sm-10 brstyle3 nopadding">

			<div class="col-sm-12 backstyle">
    
		<div class="text-center pt30">
			
			<h1 class="text-capitalize fntstyle1 pb5 nomargin cfff">This content is only for subscribers</h1>
			
			  '.$intro.'

		</div>

		<div class="col-sm-offset-3 col-sm-6">
		
		'.($this->options['disable_name'] == 'on' ?
                            '<div class="form-group">

                                            <input type="email" tabindex="102"  class="form-control ht43 bc17222b"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

                            ' : '<div class="form-group">

                                            <input type="text" tabindex="101"  class="form-control ht43 bc17222b"  id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" required/> </div>  
                            <div class="form-group">

                                            <input type="email" tabindex="102"  class="form-control ht43 bc17222b"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

                            ').'

                                            <button class="text-capitalize btnstyle1 fs18 fw500" tabindex="103"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'>'.esc_attr($this->options['button_label']).'</button>


</div>
		<div class="col-sm-12 text-center pt10 pb30">
			<span class="fs12 c9ca3b3">Your email address is 100% safe from spam!</span>
                                                    <div id="message'.$suffix.'" class="leadGatePro_message"></div>
		</div>
                            '.$tac.'

                                 </div>
                                                
                                               </div> <!-- niladri end -->
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>

                                           </div>
                                           </div>'; break;
                                    case 'template9': 
				
                                        $form = '<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" type="text/css">
	<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans" />

	<style type="text/css">
        
.leadGatePro_signup_form{
    border: none;
    background: none;
}

	.fntstyle1 {
	font-family: "Open Sans";
	font-size: 25px;
	font-weight: 600;
}
		.fntstyle2 {
	font-family: "Open Sans";
	font-size: 18px;
	color: #787778;
}
		 .ht43 {
		 	height: 43px;
		 } 
		.wid100 {
			width: 100%
		}
		.ptpb10 {
			padding-top: 10px;
			padding-bottom: 10px;
		}

		.pt30 {
			padding-top: 30px;
		}
		.pt10 {
			padding-top: 10px;
		}
		.pb30 {
			padding-bottom: 30px;
		}
		.pb5{
			padding-bottom: 5px;
		}
		.pb15{
			padding-bottom: 15px;
		}

		.pb20{
			padding-bottom: 20px;
		}
		.pt0 {
			padding-top: 0px !important;
		}

		.nomargin {
			margin: 0px;
		}

		.nopadding {
			padding: 0px;
		}

	.btnstyle {
	padding: 7px 15px;
    width: 100%;
    display: inline-block;
    border-radius: 3px;
    background-color: #ffe16c;
    color: #9c7e13;
         border: 1px solid #ffe16c;
         border-bottom: 5px solid #edd164 !important;
		}

		.btnstyle:hover {
			background-color: #000;
		}

		.cbdb0ac {
			color: #bdb0ac;
		}

		.fs12 {
			font-size: 12px;
		}

		.fs18 {
			font-size: 18px;
		}

		.fw500 {
			font-weight: 500;
		}

		.brstyle3{
   border-radius: 5px;
   box-shadow: 2px 3px 7px 3px rgba(50, 50, 50, 0.55);
   border-bottom: 3px solid #000 !important;
}

		.brstyle4{
   border-radius: 3px;
   box-shadow: 2px 3px 7px 3px rgba(50, 50, 50, 0.55);
}

		.brstyle1{
    border: 1px solid #dadada;
    background-color: #f8f8f8;
    padding: 30px 30px 0;
}

		   .brstyle2{ 
		   	border-style: solid;
    		border-width: 6px;
    		border-bottom-color:#fff;
    		border-top-color: #eae8e8;
    		border-left-color: #eae8e8;
    		border-right-color: #eae8e8;
    		border-radius: 4px;
    		background: #fff;
    	}
    	a.txtnone{ 
    		color: #9ca3b3;
    	}
    	a.txtnone:hover{ 
    		text-decoration: none;
    		color: #9ca3b3;
    	}
    	.backstyle {
    		background-color: #263e50;
    	}
    	.backstyle1 {
    		background-color: #223747;
    	}
    	 .backstyle2 {
    		background-color: #e7e7e7;
    	}
    	
    	.btnstyle1 {
    		background-color: #42c9fa;
    		color: #fff;
    		padding: 7px 15px;
    width: 100%;
    display: inline-block;
    border-radius: 3px;
    border: 1px solid #42c9fa;
        }

        .btnstyle1:hover { 
        	background-color:#4090ad; 
        }
    	
    	.btnstyle2 {
    		background-color: #42c9fa;
    		color: #fff;
    		padding: 7px 15px;
    width: 70%;
    display: inline-block;
   	margin-left: 45px;
    border: 1px solid #42c9fa;
        }

        .btnstyle2:hover { 
        	background-color:#4090ad; 
        }

        .btnstyle {
    		background-color: #42c9fa;
    		color: #fff;
    		padding: 7px 15px;
    width: 100%;
    display: inline-block;
    border-radius: 3px;
    border: 1px solid #42c9fa;
        }

        
    	.cfff {
    		color: #fff;
    	}
    	.c000 {
    		color: #000;
    	}
    	.c45b7af {
    		color: #45b7af;
    	}
    	.c9ca3b3 {
    		color: #9ca3b3;
    	}
    	.ht38 {
    		height: 38px;
    	} 
    	.br30 {
    		border-radius: 30px !important;
    	}

    	.fs20 {
    		font-size: 20px;
    	}

</style>  
<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'">
                                                        <div id="leadGatePro'.$suffix.'">
                   
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'">
					
<div class="col-sm-offset-2 col-sm-8 backstyle2 brstyle4 nopadding">
    
		<div class="text-center pt30">
			
			<h1 class="text-capitalize fntstyle1 pb15 nomargin c000">Subscribe and <span class="c45b7af">unlock</span></h1>
                            '.$intro.'
			
		</div>
 
		<div class="col-sm-offset-2 col-sm-8">
		'.($this->options['disable_name'] == 'on' ?
                            '<div class="form-group">

                                            <input type="email"  class="form-control ht38 br30" tabindex="102" id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

                            ' : '<div class="form-group">

                                            <input type="text" tabindex="101"  class="form-control ht38 br30"  id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" required/> </div>  
                            <div class="form-group">

                                            <input type="email" tabindex="102"  class="form-control ht38 br30"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

                            ').'

                                            <button class="text-capitalize btnstyle2 fs20 fw500 br30" tabindex="103"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'>'.esc_attr($this->options['button_label']).'</button>

</div>
		<div class="col-sm-12 text-center pt10 pb30">
			<span class="fs12 c9ca3b3">Your email address is 100% safe from spam!</span>
                                                    <div id="message'.$suffix.'" class="leadGatePro_message"></div>
		</div>
                            '.$tac.'
                                                
                                               </div> <!-- niladri end -->
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>

                                           </div>
                                           </div>'; break;
                                    case 'template10': 
				
                                        $form = '<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
	<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" type="text/css">
	<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans" />

	<style type="text/css">
        
.leadGatePro_signup_form{
    border: none;
    background: none;
}

	.fntstyle1 {
	font-family: "Open Sans";
	font-size: 25px;
	font-weight: 600;
}
		.fntstyle2 {
	font-family: "Open Sans";
	font-size: 18px;
	color: #787778;
}
	.fntstyle3 {
	font-family: "Open Sans";
	font-size: 14px;
	color: #b9bdea;
}

		.fntstyle4 {
	font-family: "Open Sans";
	font-size: 16px;
	color: #b9bdea;
}
		.cb9bdea{
			color: #b9bdea;
		}
		 .ht43 {
		 	height: 43px;
		 } 
		.wid100 {
			width: 100%
		}
		.ptpb10 {
			padding-top: 10px;
			padding-bottom: 10px;
		}

		.pt30 {
			padding-top: 30px;
		}
		.pt10 {
			padding-top: 10px;
		}
		.pt20 {
			padding-top: 20px;
		}
		.pt15 {
			padding-top: 15px;
		}
		.pb30 {
			padding-bottom: 30px;
		}
		.pb5{
			padding-bottom: 5px;
		}
		.pb15{
			padding-bottom: 15px;
		}
		.pb10{
			padding-bottom: 10px;
		}
		.pb20{
			padding-bottom: 20px;
		}
		.pt0 {
			padding-top: 0px !important;
		}
		.mt7 {
			margin-top: 7px;
		}
		.nomargin {
			margin: 0px;
		}

		.nopadding {
			padding: 0px;
		}

			.bc17222b {
				background-color: #17222b !important;
			}

			.btnstyle {
			padding: 7px 15px;
		    width: 100%;
		    display: inline-block;
		    border-radius: 3px;
		    background-color: #ffe16c;
		    color: #9c7e13;
		         border: 1px solid #ffe16c;
		         border-bottom: 5px solid #edd164 !important;
				}

		.btnstyle:hover {
			background-color: #000;
		}

		.cbdb0ac {
			color: #bdb0ac;
		}

		.fs12 {
			font-size: 12px;
		}
		.fs11 {
			font-size: 11px;
		}
		.fs18 {
			font-size: 18px;
		}

		.fs16 {
			font-size: 16px;
		}
		.fs14 {
			font-size: 14px;
		}
		.fw500 {
			font-weight: 500;
		}
		.fw600 {
			font-weight: 600;
		}

		.brstyle3{
   border-radius: 5px;
   box-shadow: 2px 3px 7px 3px rgba(50, 50, 50, 0.55);
   border-bottom: 3px solid #000 !important;
}

		.brstyle1{
    border: 1px solid #dadada;
    background-color: #f8f8f8;
    padding: 30px 30px 0;
}

		   .brstyle2{ 
		   	border-style: solid;
    		border-width: 6px;
    		border-bottom-color:#fff;
    		border-top-color: #eae8e8;
    		border-left-color: #eae8e8;
    		border-right-color: #eae8e8;
    		border-radius: 4px;
    		background: #fff;
    	}
    	a.txtnone{ 
    		color: #9ca3b3;
    	}
    	a.txtnone:hover{ 
    		text-decoration: none;
    		color: #9ca3b3;
    	}
    	.backstyle {
    		background-color: #263e50;
    	}
    	.backstyle1 {
    		background-color: #223747;
    	}
    	.backstyle2 {
    		background: rgb(46, 49, 78);
    	}
    	.backstyle3 {
    		background-color: #88d16f;
    	}
    	.btnstyle1 {
    		background-color: #42c9fa;
    		color: #fff;
    		padding: 7px 15px;
    width: 100%;
    display: inline-block;
    border-radius: 3px;
    border: 1px solid #42c9fa;
        }

        .btnstyle1:hover { 
        	background-color:#4090ad; 
        }
        .btnstyle2 {
    		background-color: #42c9fa;
    		color: #fff;
    		padding: 7px 15px;
    width: 70%;
    display: inline-block;
   	margin-left: 45px;
    border: 1px solid #42c9fa;
        }

        .btnstyle2:hover { 
        	background-color:#4090ad; 
        }
        .btnstyle3 {
    		background-color: #ff0a5a;
    		color: #fff;
    		padding: 7px 15px;
    width: 49%;
    display: inline-block;
   	border: 1px solid #ff0a5a;
     }

        .btnstyle3:hover { 
        	border: 1px solid #ff0a5a;
        	background-color: #fff;
        	color: #ff0a5a;
        }

        .mt15 {
        	margin-top: 15px;
        }
    	.cfff {
    		color: #fff;
    	}
    	.c000 {
    		color: #000;
    	}
    	.c9ca3b3 {
    		color: #9ca3b3;
    	}
    	.lockstyle {
   	font-size: 14px;
    color: #e9664e;
    	}
    	.pr5 {
    		padding-right: 5px;
    	}
    	.paddiv {
    		padding: 30px 40px 0;
    	}

</style>  
<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'">
                                                        <div id="leadGatePro'.$suffix.'">
                   
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'">
					
					
			<div class="col-sm-offset-1 col-sm-10 brstyle3 nopadding">

			<div class="col-sm-12 backstyle2 pb30">
    
		<div class="text-center pt15">
			
			<h1 class="fntstyle1 pb10 nomargin cfff">ARE YOU READY? GET IT UNLOCKED</h1>
                        '.$intro.'

		</div>

		</div>

          <div class="col-sm-12 backstyle3 pt30">
          		<div class="col-sm-offset-2 col-sm-8">
		                                                                   
'.($this->options['disable_name'] == 'on' ?
                            '<div class="form-group">
		<label for="name" class="fs14">'.esc_attr($this->options['placeholder_email']).'</label>
		<input type="email" class="form-control ht38 mt7" tabindex="102" id="email'.$suffix.'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

                            ' : '<div class="form-group">
		<label for="name" class="fs14">'.esc_attr($this->options['placeholder_name']).'</label>
		<input type="text" class="form-control ht38 mt7" tabindex="101" id="name'.$suffix.'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" required/> </div>  
                            <div class="form-group">
		<label for="name" class="fs14">'.esc_attr($this->options['placeholder_email']).'</label>
		<input type="email" class="form-control ht38 mt7" tabindex="102"  id="email'.$suffix.'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

                            ').'

                                <div class="col-sm-12 text-center">
                                        
                                            <button class="text-capitalize btnstyle3 fs14 fw500 mt15" tabindex="103"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'>'.esc_attr($this->options['button_label']).'</button>
                            </div>


</div>
		<div class="col-sm-12 text-center pt20 pb30">
			<span class="pr5"><i class="fa fa-lock lockstyle" aria-hidden="true"></i></span><span class="fs11 c000 fw600">Your email address is 100% safe from spam!</span>
                                                    <div id="message'.$suffix.'" class="leadGatePro_message"></div>
		</div>
                            '.$tac.'

                                 </div>
                                                
                                               </div> <!-- niladri end -->
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>

                                           </div>
                                           </div>'; break;
                                    case 'template11': 
				
                                        $form = '<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
	<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" type="text/css">
	<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans" />

	<style type="text/css">
        
.leadGatePro_signup_form{
    border: none;
    background: none;
}

	.fntstyle1 {
	font-family: "Open Sans";
	font-size: 25px;
	font-weight: 600;
}
		.fntstyle2 {
	font-family: "Open Sans";
	font-size: 18px;
	color: #787778;
}
	.fntstyle3 {
	font-family: "Open Sans";
	font-size: 14px;
	color: #b9bdea;
}

		.fntstyle4 {
	font-family: "Open Sans";
	font-size: 16px;
	color: #b9bdea;
}
	.c424040 {
		color: #424040;
	}
		.cb9bdea{
			color: #b9bdea;
		}
		 .ht43 {
		 	height: 43px;
		 } 
		.wid100 {
			width: 100%
		}
		.ptpb10 {
			padding-top: 10px;
			padding-bottom: 10px;
		}

		.pt30 {
			padding-top: 30px;
		}
		.pt10 {
			padding-top: 10px;
		}
		.pt20 {
			padding-top: 20px;
		}
		.pt15 {
			padding-top: 15px;
		}
		.pb30 {
			padding-bottom: 30px;
		}
		.pb5{
			padding-bottom: 5px;
		}
		.pb15{
			padding-bottom: 15px;
		}
		.pb10{
			padding-bottom: 10px;
		}
		.pb20{
			padding-bottom: 20px;
		}
		.pt0 {
			padding-top: 0px !important;
		}
		.mt7 {
			margin-top: 7px;
		}
		.nomargin {
			margin: 0px;
		}

		.nopadding {
			padding: 0px;
		}

			.bc17222b {
				background-color: #17222b !important;
			}

			.btnstyle {
			padding: 7px 15px;
		    width: 100%;
		    display: inline-block;
		    border-radius: 3px;
		    background-color: #ffe16c;
		    color: #9c7e13;
		         border: 1px solid #ffe16c;
		         border-bottom: 5px solid #edd164 !important;
				}

		.btnstyle:hover {
			background-color: #000;
		}

		.cbdb0ac {
			color: #bdb0ac;
		}

		.fs12 {
			font-size: 12px;
		}
		.fs11 {
			font-size: 11px;
		}
		.fs18 {
			font-size: 18px;
		}

		.fs16 {
			font-size: 16px;
		}
		.fs14 {
			font-size: 14px;
		}
		.fw500 {
			font-weight: 500;
		}
		.fw600 {
			font-weight: 600;
		}

		.brstyle4{
   border-radius: 5px;
   box-shadow: -4px 7px 46px 3px rgba(50, 50, 50, 0.55);
  
}
	.brstyle3{
   border-radius: 5px;
   box-shadow: 2px 3px 7px 3px rgba(50, 50, 50, 0.55);
   border-bottom: 3px solid #000 !important;
}

		.brstyle1{
    border: 1px solid #dadada;
    background-color: #f8f8f8;
    padding: 30px 30px 0;
}

		   .brstyle2{ 
		   	border-style: solid;
    		border-width: 6px;
    		border-bottom-color:#fff;
    		border-top-color: #eae8e8;
    		border-left-color: #eae8e8;
    		border-right-color: #eae8e8;
    		border-radius: 4px;
    		background: #fff;
    	}
    	a.txtnone{ 
    		color: #9ca3b3;
    	}
    	a.txtnone:hover{ 
    		text-decoration: none;
    		color: #9ca3b3;
    	}
    	.backstyle {
    		background-color: #263e50;
    	}
    	.backstyle1 {
    		background-color: #223747;
    	}
    	.backstyle2 {
    		background: rgb(46, 49, 78);
    	}
    	.backstyle3 {
    		background-color: #88d16f;
    	}
    	.backstyle4 {
    		background-color: #f1f1f1;
    		border-top: 4px solid #dbdbdb !important;
    	}
    	.btnstyle1 {
    		background-color: #42c9fa;
    		color: #fff;
    		padding: 7px 15px;
    width: 100%;
    display: inline-block;
    border-radius: 3px;
    border: 1px solid #42c9fa;
        }

        .btnstyle1:hover { 
        	background-color:#4090ad; 
        }
        .btnstyle2 {
    		background-color: #42c9fa;
    		color: #fff;
    		padding: 7px 15px;
    width: 70%;
    display: inline-block;
   	margin-left: 45px;
    border: 1px solid #42c9fa;
        }

        .btnstyle2:hover { 
        	background-color:#4090ad; 
        }
        .btnstyle3 {
    		background-color: #ff0a5a;
    		color: #fff;
    		padding: 7px 15px;
    width: 49%;
    display: inline-block;
   	border: 1px solid #ff0a5a;
     }


        .btnstyle3:hover { 
        	border: 1px solid #ff0a5a;
        	background-color: #fff;
        	color: #ff0a5a;
        }

        .btnstyle4 {
    		background-color: #ef0000;
    color: #fff;
    padding: 10px 0px;
    width: 100%;
    display: inline-block;
    border: 1px solid #ef0000;
     }
     

        .btnstyle4:hover { 
        	border: 1px solid #771616;
        	background-color: #771616;
        	color: #fff;
        }

        .pl0{
        	padding-left: 0px !important;
        }

        .plpr0{
        	padding-left: 0px !important;
        	padding-right: 0px !important;
        }

        .mt15 {
        	margin-top: 15px;
        }
    	.cfff {
    		color: #fff;
    	}
    	.c000 {
    		color: #000;
    	}
    	.c9ca3b3 {
    		color: #9ca3b3;
    	}
    	.lockstyle {
   	font-size: 14px;
    color: #e9664e;
    	}
    	.lockstyle1 {
    	color: #f1c86a;
    	font-size: 14px;
    	}
    	.pr5 {
    		padding-right: 5px;
    	}
    	.bcfff {
    		background-color: #fff;
    	}
    	.paddiv {
    		padding: 30px 40px 0;
    	}
    	.fs15 {
			font-size: 15px;
		}
		.fs13 {
			font-size: 13px;
		}
		.pl15 {
    		padding-left: 15px;
    	}
    	.c333 {
    		color: #333 !important;
    	}
</style>
<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'">
                                                        <div id="leadGatePro'.$suffix.'">
                   
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'">
					
			<div class="col-sm-offset-1 col-sm-10  brstyle4 nopadding">

			<div class="col-sm-12 bcfff pb20">
    
		<div class="text-center paddiv">
			
			<h1 class="fntstyle1 pb10 nomargin c424040">Get it NOW! Just fill this simple form to <span class="c000">Unlock!</span></h1>
			
		</div>

		</div>

          <div class="col-sm-12 backstyle4 pt20">

          		<div class="col-sm-offset-2 col-sm-8">

          			 '.$intro.'
		'.($this->options['disable_name'] == 'on' ?
                            '
		<div class="form-group pt15">                                                                          

		<input type="text" class="form-control ht43 bcfff" tabindex="102" id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  
                           ' : '
		<div class="form-group pt15">                                                                          

		<input type="text" class="form-control ht43 bcfff" tabindex="102" id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

	<div class="form-group col-sm-8 col-xs-12 pl0">                                                                          


		<input type="email" class="form-control ht43 bcfff" tabindex="101"  id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" required/> </div>  


                            ').'

		<div class="col-sm-4 col-xs-12 plpr0">
		<button class="text-capitalize btnstyle4 fs13 fw500" tabindex="103"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'>'.esc_attr($this->options['button_label']).'</button>
	</div>

</div>
		<div class="col-sm-offset-2 col-sm-8 col-xs-12 pt20 pb30">
			<span class="pr5"><i class="fa fa-lock lockstyle1" aria-hidden="true"></i></span><span class="fs11 c000 fw600">Privacy Policy. This information will never be shared.</span>
                                                    <div id="message'.$suffix.'" class="leadGatePro_message"></div>
		</div>
                            '.$tac.'

                                 </div>
                                                
                                               </div> <!-- niladri end -->
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>

                                           </div>
                                           </div>'; break;
                                    case 'template12': 
				
                                        $form = '<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
	<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" type="text/css">
	<link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans" />

	<style type="text/css">
        
.leadGatePro_signup_form{
    border: none;
    background: none;
}

	.fntstyle1 {
	font-family: "Open Sans";
	font-size: 25px;
	font-weight: 600;
}
	.fntstyle5 {
		font-family: "Open Sans";
		font-size: 22px;
		font-weight: 600;
	}
	.c424040 {
		color: #424040;
	}
		.fntstyle2 {
	font-family: "Open Sans";
	font-size: 18px;
	color: #787778;
}
	.fntstyle3 {
	font-family: "Open Sans";
	font-size: 14px;
	color: #b9bdea;
}

		.fntstyle4 {
	font-family: "Open Sans";
	font-size: 16px;
	color: #b9bdea;
}
		.cb9bdea{
			color: #b9bdea;
		}
		 .ht43 {
		 	height: 43px;
		 } 
		.wid100 {
			width: 100%
		}
		.ptpb10 {
			padding-top: 10px;
			padding-bottom: 10px;
		}

		.pt30 {
			padding-top: 30px;
		}
		.pt68 {
			padding-top: 68px;
		}
		.pb68 {
			padding-bottom: 68px;
		}
		.pt10 {
			padding-top: 10px;
		}
		.pt20 {
			padding-top: 20px;
		}
		.pt15 {
			padding-top: 15px;
		}
		.pb30 {
			padding-bottom: 30px;
		}
		.pb5{
			padding-bottom: 5px;
		}
		.pb15{
			padding-bottom: 15px;
		}
		.pb10{
			padding-bottom: 10px;
		}
		.pb20{
			padding-bottom: 20px;
		}
		.pt0 {
			padding-top: 0px !important;
		}
		.mt7 {
			margin-top: 7px;
		}
		.nomargin {
			margin: 0px;
		}

		.nopadding {
			padding: 0px;
		}

			.bc17222b {
				background-color: #17222b !important;
			}

			.btnstyle {
			padding: 7px 15px;
		    width: 100%;
		    display: inline-block;
		    border-radius: 3px;
		    background-color: #ffe16c;
		    color: #9c7e13;
		         border: 1px solid #ffe16c;
		         border-bottom: 5px solid #edd164 !important;
				}

		.btnstyle:hover {
			background-color: #000;
		}

		.cbdb0ac {
			color: #bdb0ac;
		}

		.fs12 {
			font-size: 12px;
		}
		.fs11 {
			font-size: 11px;
		}
		.fs18 {
			font-size: 18px;
		}

		.fs16 {
			font-size: 16px;
		}
		.fs14 {
			font-size: 14px;
		}
		.fw500 {
			font-weight: 500;
		}
		.fw600 {
			font-weight: 600;
		}

		.brstyle4{
   border-radius: 5px;
   box-shadow: -4px 7px 46px 3px rgba(50, 50, 50, 0.55);
  
}
	.brstyle5{
   border-radius: 5px;
   box-shadow: 2px 3px 7px 3px rgba(50, 50, 50, 0.55);
   border-bottom: 2px solid #a8afa3;
}
	.brstyle3{
   border-radius: 5px;
   box-shadow: 2px 3px 7px 3px rgba(50, 50, 50, 0.55);
   border: 3px solid #000 !important;
}

		.brstyle1{
    border: 1px solid #dadada;
    background-color: #f8f8f8;
    padding: 30px 30px 0;
}

		   .brstyle2{ 
		   	border-style: solid;
    		border-width: 6px;
    		border-bottom-color:#fff;
    		border-top-color: #eae8e8;
    		border-left-color: #eae8e8;
    		border-right-color: #eae8e8;
    		border-radius: 4px;
    		background: #fff;
    	}
    	a.txtnone{ 
    		color: #9ca3b3;
    	}
    	a.txtnone:hover{ 
    		text-decoration: none;
    		color: #9ca3b3;
    	}
    	.backstyle {
    		background-color: #263e50;
    	}
    	.backstyle1 {
    		background-color: #223747;
    	}
    	.backstyle2 {
    		background: rgb(46, 49, 78);
    	}
    	.backstyle3 {
    		background-color: #88d16f;
    	}
    	.backstyle4 {
    		background-color: #f1f1f1;
    		border-top: 4px solid #dbdbdb !important;
    	}
    	.backstyle5 {
    		background-color: #76cb3e;
    	}
    	.backstyle6 {
    		background-color: #f1f1f1;
    	}
    	.btnstyle1 {
    		background-color: #42c9fa;
    		color: #fff;
    		padding: 7px 15px;
    width: 100%;
    display: inline-block;
    border-radius: 3px;
    border: 1px solid #42c9fa;
        }

        .btnstyle1:hover { 
        	background-color:#4090ad; 
        }
        .btnstyle2 {
    		background-color: #42c9fa;
    		color: #fff;
    		padding: 7px 15px;
    width: 70%;
    display: inline-block;
   	margin-left: 45px;
    border: 1px solid #42c9fa;
        }

        .btnstyle2:hover { 
        	background-color:#4090ad; 
        }
        .btnstyle3 {
    		background-color: #ff0a5a;
    		color: #fff;
    		padding: 7px 15px;
    width: 49%;
    display: inline-block;
   	border: 1px solid #ff0a5a;
     }


        .btnstyle3:hover { 
        	border: 1px solid #ff0a5a;
        	background-color: #fff;
        	color: #ff0a5a;
        }

        .btnstyle4 {
    		background-color: #ef0000;
    color: #fff;
    padding: 10px 0px;
    width: 100%;
    display: inline-block;
    border: 1px solid #ef0000;
     }
     

        .btnstyle4:hover { 
        	border: 1px solid #771616;
        	background-color: #771616;
        	color: #fff;
        }
        .btnstyle5 {
    		background-color: #e4ac07;
    color: #000;
    padding: 5px 0px;
    width: 100%;
    display: inline-block;
    border: 1px solid #e4ac07;
     }
     

        .btnstyle5:hover { 
        	border: 1px solid #4d9f1e;
        	background-color: transparent;
        	color: #000;
        }

        .pl0{
        	padding-left: 0px !important;
        }

        .plpr0{
        	padding-left: 0px !important;
        	padding-right: 0px !important;
        }

        .mt15 {
        	margin-top: 15px;
        }
    	.cfff {
    		color: #fff;
    	}
    	.c000 {
    		color: #000;
    	}
    	.c9ca3b3 {
    		color: #9ca3b3;
    	}
    	.lockstyle {
   	font-size: 14px;
    color: #e9664e;
    	}
    	.lockstyle1 {
    	color: #f1c86a;
    	font-size: 14px;
    	}
    	.lockstyle2 {
    	    color: #000;
    font-size: 13px;
    border: 1px solid #e4ac07;
    border-radius: 100%;
    background-color: #e4ac07;
    border-width: thick;
    	}
    	.checkstyle {
    	    color: #fff;
    font-size: 11px;
    border: 1px solid #427e0b;
    border-radius: 100%;
    background-color: #427e0b;
    border-width: thick;
    	}
    	.pr5 {
    		padding-right: 5px;
    	}
    	.bcfff {
    		background-color: #fff;
    	}
    	.paddiv {
    		padding: 30px 40px 0;
    	}
    	.fs15 {
			font-size: 15px;
		}
		.fs13 {
			font-size: 13px;
		}
		.pl15 {
    		padding-left: 15px;
    	}
    	.c333 {
    		color: #333 !important;
    	}
    	.br30 {
    		border-radius: 30px !important;
    	}
    	.formstyle {
    		background-color: #4d9f1e !important;
    		color: #fff !important;
    		font-size: 13px !important;
    		border: 1px solid #4d9f1e !important;
    	}
    	input#nameform::placeholder {
    		color: #fff;
    	}
    	input#emailform::placeholder {
    		color: #fff;
    	}
    	.c2e9401 {
    		color: #2e9401;
    	}
    	.mt5 {
    		margin-top: 5px;
    	}
    	.mb5 {
    		margin-bottom: 5px;
    	}



</style>   
<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'">
                                                        <div id="leadGatePro'.$suffix.'">
                   
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'">
					
			
			
<div class="col-sm-offset-1 col-sm-10 brstyle5 backstyle6 nopadding">

	<div class="row-eq-height backstyle5">
    
		<div class="col-sm-6 pt15 col-xs-12">
			
			<h1 class="text-capitalize fntstyle5 pb15 nomargin c2e9401 text-center">Simple steps to unlock<br>this content</h1>
                        
                         '.$intro.'
			
			<div class="pb15"><span class="pr5"><i class="fa fa-check checkstyle" aria-hidden="true"></i></span><span class="fs12 c000">Completely secure!</span></div>

			<div class="pb15"><span class="pr5"><i class="fa fa-check checkstyle" aria-hidden="true"></i></span><span class="fs12 c000">Easy access in seconds</span></div>

			<div class="pb15"><span class="pr5"><i class="fa fa-check checkstyle" aria-hidden="true"></i></span><span class="fs12 c000">One time subcription only</span></div>

			<div class="pb15"><a href="#" class="txtnone c333">Once you subscribe, this will never appear!</a></div>
			
		</div>
 
		<div class="col-sm-6 backstyle5 pt68 pb68 col-xs-12">
                    
                    '.($this->options['disable_name'] == 'on' ?
                            '<div class="form-group">

                                            <input type="email"  class="form-control ht38 br30 formstyle" tabindex="102" id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

                            ' : '<div class="form-group">

                                            <input type="text" tabindex="101"  class="form-control ht38 br30 formstyle"  id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" required/> </div>  
                            <div class="form-group">

                                            <input type="email" tabindex="102"  class="form-control ht38 br30 formstyle"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" required/> </div>  

                            ').'

                                            <button class="mt5 mb5 text-capitalize btnstyle5 fs12 fw600 br30" tabindex="103"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'>'.esc_attr($this->options['button_label']).'</button>


		<div class="pt15">
		<span class="pr5"><i class="fa fa-lock lockstyle2" aria-hidden="true"></i></span><span class="fs11 c333 fw600">Privacy Policy. This information will never be shared.</span></div>
                                                    <div id="message'.$suffix.'" class="leadGatePro_message"></div>
                            '.$tac.'

</div>
		

     
                                               </div> 
                                               </div>
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>

                                           </div>
                                           </div>'; break;
                                    default: 
				
                                        $form = '<div class="leadGatePro_container'.($soft_mode == 'on' ? ' leadGatePro_invisible' : '').'"'.(!empty($width) ? ' style="width: '.$width.'px;"' : '').'>
                                                        <div name="leadGatePro" class="leadGatePro_box" id="leadGatePro'.$suffix.'">
                                                                <div class="leadGatePro_signup_form" id="leadGatePro_signup_form'.$suffix.'" style="min-height: 440px;background: rgba(0,75,144,0.7) !important;border: rgb(0,75,144) !important;box-shadow: 2px 2px 4px #444;">
                                                                    <div class="leadGatePro_form_row">
                                                                        <div class="leadGatePro_form_column" style="width: 40%;">
                                                                            <img src="'.plugins_url('/images/lock1.png', __FILE__).'" align="middle">
                                                                        </div>
                                                                        <div class="leadGatePro_form_column" style="width: 60%;">
                                                                        '.$intro.'
                                                                        <div class="leadGatePro_form_row">
                                                                                '.($this->options['disable_name'] == 'on' ? '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>' : '
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="101" class="leadGatePro-input leadGatePro_fullwidth" type="text" id="name'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_name']).'" value="'.esc_attr($this->options['placeholder_name']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_name']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_name']).'\';}" title="'.esc_attr($this->options['placeholder_name']).'" />
                                                                                </div>
                                                                                <div style="padding: 2%;">
                                                                                    <input required="required" tabindex="102" class="leadGatePro-input leadGatePro_fullwidth" type="text"  id="email'.$suffix.'" placeholder="'.esc_attr($this->options['placeholder_email']).'" value="'.esc_attr($this->options['placeholder_email']).'" onfocus="if (this.value == \''.esc_attr($this->options['placeholder_email']).'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.esc_attr($this->options['placeholder_email']).'\';}" title="'.esc_attr($this->options['placeholder_email']).'" />
                                                                                </div>').'
                                                                        </div>
                                                                        '.$tac.'
                                                                        <div style="padding: 5% 25%;">
                                                                                <a href="#" tabindex="103" class="leadGatePro-submit"  id="submit'.$suffix.'" onclick=\'leadGatePro_submit("'.$suffix.'", "'.$soft_mode.'"); return false;\'style="
                                                                                    background: rgba(255,255,255,0.4) !important;
                                                                                    padding: 10px;
                                                                                ">'.esc_attr($this->options['button_label']).'</a>
                                                                                <br><br><img id="loading'.$suffix.'" class="leadGatePro_loading" src="'.plugins_url('/images/loading.gif', __FILE__).'" alt="" style="transition-property: all; transition-duration: 0s; transition-timing-function: ease; margin-left: 50px !important; display: none;">
                                                                        </div>
                                                                        </div>
                                                                        </div>
                                                                        <div id="message'.$suffix.'" class="leadGatePro_message"></div>
                                                                </div>
                                                                <div class="leadGatePro_confirmation_container" id="leadGatePro_confirmation_container'.$suffix.'"></div>
                                                        </div>
                                                </div>'; break;
                                }				
			}
			if ($soft_mode != 'on') $content = $form;
			else $content = '<div class="leadGatePro_content leadGatePro_invisible">'.do_shortcode(wpautop($content)).'</div>'.$form.'<script type="text/javascript">if (leadGatePro_cookie == "'.SUBSCRIBEUNLOCK_COOKIE.'") {jQuery(".leadGatePro_content").removeClass("leadGatePro_invisible");} else {jQuery(".leadGatePro_container").removeClass("leadGatePro_invisible");}</script>';
		}
		return $content;
	}

	function leadGatePro_submit() {
		global $wpdb;
		header("Content-type: application/json");
		$jsonp_callback = $_REQUEST['callback'];
	
		$email = trim(stripslashes($_REQUEST['leadGatePro_email']));
		$email = base64_decode($email);
		$suffix = trim(stripslashes($_REQUEST['leadGatePro_suffix']));
		$error = '';
		if ($this->options['disable_name'] != 'on') {
			$name = trim(stripslashes($_REQUEST['leadGatePro_name']));
			$name = base64_decode($name);
			if ($name == '' || $name == $this->options['placeholder_name']) {
				$error .= '<li>'.__('Your name is required.', 'leadGatePro').'</li>';
			}
		} else $name = '';
		
		if ($email == '') {
			$error .= '<li>'.__('Your e-mail address is required.', 'leadGatePro').'</li>';
		} else if (!preg_match("/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$/i", $email)) {
			$error .= '<li>'.__('You have entered an invalid e-mail address.', 'leadGatePro').'</li>';
		} else {
			if ($this->options['email_validation'] == 'on') {
				$email_parts = explode('@',$email);
				if(checkdnsrr($email_parts[1], 'MX')) {
					//if(!fsockopen($email_parts[1], 25, $errno, $errstr, 30)) $error .= '<li>'.__('You have entered an invalid e-mail address.', 'leadGatePro').'</li>';
				} else $error .= '<li>'.__('You have entered an invalid e-mail address.', 'leadGatePro').'</li>';
			}
		}
		if ($error != '') {
			$html = '<div class="leadGatePro_error_message">'.__('Attention! Please correct the errors below and try again.', 'leadGatePro').'<ul class="leadGatePro_error_messages">'.$error.'</ul></div>';
			$return = array();
			$return['html'] = $html;
			echo $jsonp_callback.'('.json_encode($return).')';
		} else {
			$tmp = $wpdb->get_row("SELECT COUNT(*) AS total FROM ".$wpdb->prefix."sp_users WHERE deleted = '0' AND email = '".esc_sql($email)."'", ARRAY_A);
			if ($tmp["total"] > 0) {
				$sql = "UPDATE ".$wpdb->prefix."sp_users SET
					name = '".esc_sql($name)."',
					registered = '".time()."'
					WHERE deleted = '0' AND email = '".esc_sql($email)."'";
				$wpdb->query($sql);
			} else {
				$sql = "INSERT INTO ".$wpdb->prefix."sp_users (
					name, email, registered, deleted) VALUES (
					'".esc_sql($name)."',
					'".esc_sql($email)."',
					'".time()."', '0'
				)";
				$wpdb->query($sql);
			}
			if (empty($name)) $name = substr($email, 0, strpos($email, '@'));
			if ($this->options['mailchimp_enable'] == 'on') {
				$list_id = $this->options['mailchimp_list_id'];
				$dc = "us1";
				if (strstr($this->options['mailchimp_api_key'], "-")) {
					list($key, $dc) = explode("-", $this->options['mailchimp_api_key'], 2);
					if (!$dc) $dc = "us1";
				}
				$mailchimp_url = 'http://'.$dc.'.api.mailchimp.com/1.3/?method=listSubscribe&apikey='.$this->options['mailchimp_api_key'].'&id='.$list_id.'&email_address='.urlencode($email).'&merge_vars[FNAME]='.urlencode($name).'&merge_vars[LNAME]='.urlencode($name).'&merge_vars[NAME]='.urlencode($name).'&merge_vars[OPTIN_IP]='.$_SERVER['REMOTE_ADDR'].'&output=php&double_optin='.($this->options['mailchimp_double'] == 'on' ? '1' : '0').'&send_welcome='.($this->options['mailchimp_welcome'] == 'on' ? '1' : '0');
				$ch = curl_init($url);
				curl_setopt($ch, CURLOPT_URL, $mailchimp_url);
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
				curl_setopt($ch, CURLOPT_HEADER, 0);
				curl_setopt($ch, CURLOPT_ENCODING, "");
				curl_setopt($ch, CURLOPT_USERAGENT, 'User-Agent: MCAPI/1.3');
				curl_setopt($ch, CURLOPT_TIMEOUT, 30);
				curl_setopt($ch, CURLOPT_FAILONERROR, 1);
				curl_setopt($ch, CURLOPT_AUTOREFERER, 1);
				curl_setopt($ch, CURLOPT_POST, 1);
				curl_setopt($ch, CURLOPT_POSTFIELDS, null);
				$data  = curl_exec( $ch );
				curl_close( $ch );
			}
			if ($this->options['icontact_enable'] == 'on') {
				$this->icontact_addcontact($name, $email);
			}
			if ($this->options['campaignmonitor_enable'] == 'on') {
				$options['EmailAddress'] = $email;
				$options['Name'] = $name;
				$options['Resubscribe'] = 'true';
				$options['RestartSubscriptionBasedAutoresponders'] = 'true';
				$post = json_encode($options);

				$curl = curl_init('http://api.createsend.com/api/v3/subscribers/'.urlencode($this->options['campaignmonitor_list_id']).'.json');
				curl_setopt($curl, CURLOPT_POST, 1);
				curl_setopt($curl, CURLOPT_POSTFIELDS, $post);
				
				$header = array(
					'Content-Type: application/json',
					'Content-Length: '.strlen($post),
					'Authorization: Basic '.base64_encode($this->options['campaignmonitor_api_key'])
					);

				//curl_setopt($curl, CURLOPT_PORT, 443);
				curl_setopt($curl, CURLOPT_HTTPHEADER, $header);
				curl_setopt($curl, CURLOPT_TIMEOUT, 10);
				curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC ) ;
				//curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 1); // verify certificate
				//curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 2); // check existence of CN and verify that it matches hostname
				curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
				curl_setopt($curl, CURLOPT_FORBID_REUSE, 1);
				curl_setopt($curl, CURLOPT_FRESH_CONNECT, 1);
					
				$response = curl_exec($curl);
				curl_close($curl);
			}
			if ($this->options['getresponse_enable'] == 'on') {
				$request = json_encode(
					array(
						'method' => 'add_contact',
						'params' => array(
							$this->options['getresponse_api_key'],
							array(
								'campaign' => $this->options['getresponse_campaign_id'],
								'action' => 'standard',
								'name' => $name,
								'email' => $email,
								'cycle_day' => 0,
								'ip' => $_SERVER['REMOTE_ADDR']
							)
						),
						'id' => ''
					)
				);

				$curl = curl_init('http://api2.getresponse.com/');
				curl_setopt($curl, CURLOPT_POST, 1);
				curl_setopt($curl, CURLOPT_POSTFIELDS, $request);
							
				$header = array(
					'Content-Type: application/json',
					'Content-Length: '.strlen($request)
				);

				//curl_setopt($curl, CURLOPT_PORT, 443);
				curl_setopt($curl, CURLOPT_HTTPHEADER, $header);
				curl_setopt($curl, CURLOPT_TIMEOUT, 10);
				//curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 1); // verify certificate
				//curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 2); // check existence of CN and verify that it matches hostname
				curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
				curl_setopt($curl, CURLOPT_FORBID_REUSE, 1);
				curl_setopt($curl, CURLOPT_FRESH_CONNECT, 1);
				curl_setopt($curl, CURLOPT_HEADER, 0);
							
				$response = curl_exec($curl);
				curl_close($curl);
			}
			if ($this->options['aweber_access_secret']) {
				if ($this->options['aweber_enable'] == 'on') {
					$account = null;
					if (!class_exists('AWeberAPI')) {
						require_once(dirname(__FILE__).'/aweber_api/aweber_api.php');
					}
					try {
						$aweber = new AWeberAPI($this->options['aweber_consumer_key'], $this->options['aweber_consumer_secret']);
						$account = $aweber->getAccount($this->options['aweber_access_key'], $this->options['aweber_access_secret']);
						$subscribers = $account->loadFromUrl('/accounts/' . $account->id . '/lists/' . $this->options['aweber_listid'] . '/subscribers');
						$subscribers->create(array(
							'email' => $email,
							'ip_address' => $_SERVER['REMOTE_ADDR'],
							'name' => $name,
							'ad_tracking' => 'Opt-In Panel',
						));
					} catch (Exception $e) {
						$account = null;
					}
				}
			}
			if ($this->options['madmimi_enable'] == 'on') {
				$request = http_build_query(array(
					'email' => $email,
					'first_name' => $name,
					'last_name' => '',
					'username' => $this->options['madmimi_login'],
					'api_key' => $this->options['madmimi_api_key']
				));

				$curl = curl_init('http://api.madmimi.com/audience_lists/'.$this->options['madmimi_list_id'].'/add');
				curl_setopt($curl, CURLOPT_POST, 1);
				curl_setopt($curl, CURLOPT_POSTFIELDS, $request);

				curl_setopt($curl, CURLOPT_TIMEOUT, 20);
				curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
				curl_setopt($curl, CURLOPT_FORBID_REUSE, 1);
				curl_setopt($curl, CURLOPT_FRESH_CONNECT, 1);
				curl_setopt($curl, CURLOPT_HEADER, 0);
									
				$response = curl_exec($curl);
				curl_close($curl);
			}
			if ($this->options['sendy_enable'] == 'on') {
				$request = http_build_query(array(
					'email' => $email,
					'name' => $name,
					'list' => $this->options['sendy_listid'],
					'boolean' => 'true'
				));

				$this->options['sendy_url'] = rtrim($this->options['sendy_url'], '/');
				$curl = curl_init($this->options['sendy_url'].'/subscribe');
				curl_setopt($curl, CURLOPT_POST, 1);
				curl_setopt($curl, CURLOPT_POSTFIELDS, $request);

				curl_setopt($curl, CURLOPT_TIMEOUT, 20);
				curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
				curl_setopt($curl, CURLOPT_FORBID_REUSE, 1);
				curl_setopt($curl, CURLOPT_FRESH_CONNECT, 1);
				curl_setopt($curl, CURLOPT_HEADER, 0);
									
				$response = curl_exec($curl);
				curl_close($curl);
			}
			if ($this->options['benchmark_enable'] == 'on') {
				$request = http_build_query(array(
					'contacts' => array(
						'email' => $email,
						'firstname' => $name,
						'lastname' => ''),
					'optin' => ($this->options['benchmark_double'] == 'on' ? 1 : 0),
					'listID' => $this->options['benchmark_list_id'],
					'token' => $this->options['benchmark_api_key']
				));

				$curl = curl_init('http://www.benchmarkemail.com/api/1.0/?output=php&method=listAddContacts');
				curl_setopt($curl, CURLOPT_POST, 1);
				curl_setopt($curl, CURLOPT_POSTFIELDS, $request);

				curl_setopt($curl, CURLOPT_TIMEOUT, 20);
				curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
				curl_setopt($curl, CURLOPT_FORBID_REUSE, 1);
				curl_setopt($curl, CURLOPT_FRESH_CONNECT, 1);
				curl_setopt($curl, CURLOPT_HEADER, 0);
									
				$response = curl_exec($curl);
				curl_close($curl);
			}
			if (function_exists('mymail_subscribe') || function_exists('mymail')) {
				if ($this->options['mymail_enable'] == 'on') {
					if (function_exists('mymail')) {
						$list = mymail('lists')->get($this->options['mymail_listid']);
					} else {
						$list = get_term_by('id', $this->options['mymail_listid'], 'newsletter_lists');
					}
					if (!empty($list)) {
						try {
							if ($this->options['mymail_double'] == "on") $double = true;
							else $double = false;
							if (function_exists('mymail')) {
								$entry = array(
									'firstname' => $name,
									'email' => $email,
									'status' => $double ? 0 : 1,
									'ip' => $_SERVER['REMOTE_ADDR'],
									'signup_ip' => $_SERVER['REMOTE_ADDR'],
									'referer' => $_SERVER['HTTP_REFERER'],
									'signup' =>time()
								);
								$subscriber_id = mymail('subscribers')->add($entry, true);
								if (is_wp_error( $subscriber_id )) return;
								$result = mymail('subscribers')->assign_lists($subscriber_id, array($list->ID));
							} else {
								$result = mymail_subscribe($email, array('firstname' => $name), array($term->slug), $double);
							}
						} catch (Exception $e) {
						}
					}
				}
			}
			$domain_parts = explode('.', $_SERVER["HTTP_HOST"]);
			if (sizeof($domain_parts) > 2) $domain = '.'.$domain_parts[sizeof($domain_parts)-2].'.'.$domain_parts[sizeof($domain_parts)-1];
			else $domain = '.'.$_SERVER["HTTP_HOST"];
			setcookie("leadGatePro", SUBSCRIBEUNLOCK_COOKIE, time()+3600*24*180, "/", $domain);
			if ($this->options['Welcome_enable'] == 'on') {
				$tags = array("{name}", "{e-mail}", "{email}");
				$vals = array($name, $email, $email);
				$body = str_replace($tags, $vals, $this->options['Welcome_email_body']);
				$mail_headers = "Content-Type: text/plain; charset=utf-8\r\n";
				$mail_headers .= "From: ".$this->options['from_name']." <".$this->options['from_email'].">\r\n";
				$mail_headers .= "X-Mailer: PHP/".phpversion()."\r\n";
				wp_mail($email, $this->options['Welcome_email_subject'], $body, $mail_headers);
			}
			$html = '<div class="leadGatePro_confirmation_info" style="text-align: center;">'.esc_attr($this->options['thanks_message']).'</div>';
			$return = array();
			$return['html'] = $html;
			echo $jsonp_callback.'('.json_encode($return).')';
		}
		exit;
	}

	function get_rgb($_color) {
		if (strlen($_color) != 7 && strlen($_color) != 4) return false;
		$color = preg_replace('/[^#a-fA-F0-9]/', '', $_color);
		if (strlen($color) != strlen($_color)) return false;
		if (strlen($color) == 7) list($r, $g, $b) = array($color[1].$color[2], $color[3].$color[4], $color[5].$color[6]);
		else list($r, $g, $b) = array($color[1].$color[1], $color[2].$color[2], $color[3].$color[3]);
		return array("r" => hexdec($r), "g" => hexdec($g), "b" => hexdec($b));
	}

	function madmimi_getlists($_login, $_key) {
		$curl = curl_init('http://api.madmimi.com/audience_lists/lists.json?'.http_build_query(array('username' => $_login, 'api_key' => $_key)));
		curl_setopt($curl, CURLOPT_POST, 0);
		curl_setopt($curl, CURLOPT_TIMEOUT, 10);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($curl, CURLOPT_FORBID_REUSE, 1);
		curl_setopt($curl, CURLOPT_FRESH_CONNECT, 1);
		curl_setopt($curl, CURLOPT_HEADER, 0);
														
		$response = curl_exec($curl);
											
		if (curl_error($curl)) return array();
		$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
		if ($httpCode != '200') return array();
		curl_close($curl);
											
		$result = json_decode($response, true);
		if(!$result) return array();
		$lists = array();
		foreach ($result as $key => $value) {
			$lists[$value['id']] = $value['name'];
		}
		return $lists;
	}

	function benchmark_getlists($_key) {
		$request = http_build_query(array(
			'token' => $_key
		));

		$curl = curl_init('http://www.benchmarkemail.com/api/1.0/?output=php&method=listGet');
		curl_setopt($curl, CURLOPT_POST, 1);
		curl_setopt($curl, CURLOPT_POSTFIELDS, $request);

		curl_setopt($curl, CURLOPT_TIMEOUT, 20);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($curl, CURLOPT_FORBID_REUSE, 1);
		curl_setopt($curl, CURLOPT_FRESH_CONNECT, 1);
		curl_setopt($curl, CURLOPT_HEADER, 0);
								
		$response = curl_exec($curl);
		curl_close($curl);

		$result = unserialize($response);
		if (!is_array($result) || isset($result['error'])) return array();
		$lists = array();
		foreach ($result as $key => $value) {
			$lists[$value['id']] = $value['listname'];
		}
		return $lists;
	}

	function icontact_getlists() {
		$data = $this->icontact_makecall($this->options['icontact_appid'], $this->options['icontact_apiusername'], $this->options['icontact_apipassword'], '/a/', null, 'accounts');
		if (!empty($data['errors'])) return array();
		$account = $data['response'][0];
		if (empty($account) || intval($account->enabled != 1)) return;
		$data = $this->icontact_makecall($this->options['icontact_appid'], $this->options['icontact_apiusername'], $this->options['icontact_apipassword'], '/a/'.$account->accountId.'/c/', null, 'clientfolders');
		if (!empty($data['errors'])) return array();
		$client = $data['response'][0];
		if (empty($client)) return array();
		$data = $this->icontact_makecall($this->options['icontact_appid'], $this->options['icontact_apiusername'], $this->options['icontact_apipassword'], '/a/'.$account->accountId.'/c/'.$client->clientFolderId.'/lists', array(), 'lists');
		if (!empty($data['errors'])) return array();
		if (!is_array($data['response'])) return array();
		$lists = array();
		foreach ($data['response'] as $list) {
			$lists[$list->listId] = $list->name;
		}
		return $lists;
	}

	function icontact_addcontact($name, $email) {
		$data = $this->icontact_makecall($this->options['icontact_appid'], $this->options['icontact_apiusername'], $this->options['icontact_apipassword'], '/a/', null, 'accounts');
		if (!empty($data['errors'])) return;
		$account = $data['response'][0];
		if (empty($account) || intval($account->enabled != 1)) return;
		$data = $this->icontact_makecall($this->options['icontact_appid'], $this->options['icontact_apiusername'], $this->options['icontact_apipassword'], '/a/'.$account->accountId.'/c/', null, 'clientfolders');
		if (!empty($data['errors'])) return;
		$client = $data['response'][0];
		if (empty($client)) return;
		$contact['email'] = $email;
		$contact['firstName'] = $name;
		$contact['status'] = 'normal';
		$data = $this->icontact_makecall($this->options['icontact_appid'], $this->options['icontact_apiusername'], $this->options['icontact_apipassword'], '/a/'.$account->accountId.'/c/'.$client->clientFolderId.'/contacts', array($contact), 'contacts');
		if (!empty($data['errors'])) return;
		$contact = $data['response'][0];
		if (empty($contact)) return;
		$subscriber['contactId'] = $contact->contactId;
		$subscriber['listId'] = $this->options['icontact_listid'];
		$subscriber['status'] = 'normal';
		$data = $this->icontact_makecall($this->options['icontact_appid'], $this->options['icontact_apiusername'], $this->options['icontact_apipassword'], '/a/'.$account->accountId.'/c/'.$client->clientFolderId.'/subscriptions', array($subscriber), 'subscriptions');
	}

	function icontact_makecall($appid, $apiusername, $apipassword, $resource, $postdata = null, $returnkey = null) {
		$return = array();
		$url = "https://app.icontact.com/icp".$resource;
		$headers = array(
			'Except:', 
			'Accept:  application/json', 
			'Content-type:  application/json', 
			'Api-Version:  2.2',
			'Api-AppId:  '.$appid, 
			'Api-Username:  '.$apiusername, 
			'Api-Password:  '.$apipassword
		);
		$handle = curl_init();
		curl_setopt($handle, CURLOPT_HTTPHEADER, $headers);
		curl_setopt($handle, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($handle, CURLOPT_SSL_VERIFYPEER, false);
		if (!empty($postdata)) {
			curl_setopt($handle, CURLOPT_POST, true);
			curl_setopt($handle, CURLOPT_POSTFIELDS, json_encode($postdata));
		}
		curl_setopt($handle, CURLOPT_URL, $url);
		if (!$response_json = curl_exec($handle)) {
			$return['errors'][] = __('Unable to execute the cURL handle.', 'leadGatePro');
		}
		if (!$response = json_decode($response_json)) {
			$return['errors'][] = __('The iContact API did not return valid JSON.', 'leadGatePro');
		}
		curl_close($handle);
		if (!empty($response->errors)) {
			foreach ($response->errors as $error) {
				$return['errors'][] = $error;
			}
		}
		if (!empty($return['errors'])) return $return;
		if (empty($returnkey)) {
			$return['response'] = $response;
		} else {
			$return['response'] = $response->$returnkey;
		}
		return $return;
	}

	function page_switcher ($_urlbase, $_currentpage, $_totalpages) {
		$pageswitcher = "";
		if ($_totalpages > 1) {
			$pageswitcher = '<div class="tablenav bottom"><div class="tablenav-pages">'.__('Pages:', 'leadGatePro').' <span class="pagiation-links">';
			if (strpos($_urlbase,"?") !== false) $_urlbase .= "&amp;";
			else $_urlbase .= "?";
			if ($_currentpage == 1) $pageswitcher .= "<a class='page disabled'>1</a> ";
			else $pageswitcher .= " <a class='page' href='".$_urlbase."p=1'>1</a> ";

			$start = max($_currentpage-3, 2);
			$end = min(max($_currentpage+3,$start+6), $_totalpages-1);
			$start = max(min($start,$end-6), 2);
			if ($start > 2) $pageswitcher .= " <b>...</b> ";
			for ($i=$start; $i<=$end; $i++) {
				if ($_currentpage == $i) $pageswitcher .= " <a class='page disabled'>".$i."</a> ";
				else $pageswitcher .= " <a class='page' href='".$_urlbase."p=".$i."'>".$i."</a> ";
			}
			if ($end < $_totalpages-1) $pageswitcher .= " <b>...</b> ";

			if ($_currentpage == $_totalpages) $pageswitcher .= " <a class='page disabled'>".$_totalpages."</a> ";
			else $pageswitcher .= " <a class='page' href='".$_urlbase."p=".$_totalpages."'>".$_totalpages."</a> ";
			$pageswitcher .= "</span></div></div>";
		}
		return $pageswitcher;
	}
}
$leadGatePro = new leadGatePro_class();
